<?php $id='-'.rand(0,1000); ?>
<form id="login" class="jx-monex-auth" action="login" method="post">
    <h3><?php esc_html_e('New to site?','monex');?> <a class="login_button show_signup" id="show_signup_button" href=""><?php esc_html_e('Create an Account','monex');?></a></h3>
    <hr />
    <h1><?php esc_html_e('Login','monex');?></h1>
    <p class="status"></p>  
    <?php wp_nonce_field('ajax-login-nonce', 'security'); ?>  
    <label for="username-1"><?php esc_html_e('Username','monex');?></label>
    <input id="username-1" type="text" class="required" name="username" data-validation="required">
    <label for="password-1"><?php esc_html_e('Password','monex');?></label>
    <input id="password-1" type="password" class="required" name="password" data-validation="required">
    <a class="text-link" href="<?php
echo wp_lostpassword_url(); ?>"><?php esc_html_e('Lost password?','monex');?></a>
    <input class="submit_button" type="submit" value="<?php esc_html_e('LOGIN','monex');?>">
	<a class="close" href="">(<?php esc_html_e('close','monex');?>)</a>    
</form>
 
<form id="register" class="jx-monex-auth"  action="register" method="post">
	<h3><?php esc_html_e('Already have an account?','monex');?> <a class="login_button show_login" id="show_login"  href=""><?php esc_html_e('Login','monex');?></a></h3>
    <hr />
    <h1><?php esc_html_e('Signup','monex');?></h1>
    <p class="status"></p>
    <?php wp_nonce_field('ajax-register-nonce', 'signonsecurity'); ?>         
    <label for="signonname-2"><?php esc_html_e('Username','monex');?></label>
    <input id="signonname-2" type="text" name="signonname" class="required" data-validation="required">
    <label for="email-2"><?php esc_html_e('Email','monex');?></label>
    <input id="email-2" type="text" class="required email" name="email" data-validation="required" data-validation="email">
    <label for="signonpassword-2"><?php esc_html_e('Password','monex');?></label>
    <input id="signonpassword-2" type="password" class="required" name="signonpassword" data-validation="required">
    <label for="password2-2"><?php esc_html_e('Confirm Password','monex');?></label>
    <input type="password" id="password2-2" class="required" name="password2" data-validation="required">
    <input class="submit_button" type="submit" value="<?php esc_html_e('SIGNUP','monex');?>">
    <a class="close" href="">(<?php esc_html_e('close','monex');?>)</a>    
</form>