<?php function monex_custom_js(){
	
	wp_enqueue_script('monex-customjs', get_template_directory_uri() . '/js/custom.js');
		
	$monex_data =  jx_monex_globals(); 
	$custom_js ='';
 
    $custom_js = "jQuery(document).ready(function($){";				
	$custom_js .="var prettyPhoto_parameters = {";
            
			if($monex_data["animation_speed"]):
			$custom_js .= "animation_speed: '".strtolower($monex_data["animation_speed"])."',";
			endif;
           
		    $custom_js .= "slideshow: false,";
            
			if($monex_data["lightbox_opacity"]):
			$custom_js .= "opacity: ".$monex_data['lightbox_opacity'].",";
			endif;
            
			$custom_js .="show_title:";
			
			if($monex_data["lightbox_show_title"]) 
			{ $custom_js .="true,"; } 
			else 
			{ $custom_js .="false,"; } 
            
            $custom_js .="allow_resize: true,
            default_width: 920,
            default_height: 540,
           	counter_separator_label: '/',";
            
			if($monex_data["slideshow_theme"]):
			$custom_js .="theme: '".$monex_data['slideshow_theme']."',"; 
			endif;
           
		    $custom_js .="hideflash: false,
            wmode: 'opaque',
            autoplay: true,
            modal: false,";
			
            $custom_js .="overlay_gallery: ";
			
			if($monex_data["overlay_gallery"]) 
			{ $custom_js .="true"; }
			else 
			{ $custom_js .="false"; }
			
	$custom_js .="};";	
		
		        
		
	 $custom_js .="});";

	if(function_exists( 'wp_add_inline_script' )):
		wp_add_inline_script( 'monex-customjs', $custom_js );
	else:
		echo "<script type='text/javascript'>".$custom_js."</script>";
	endif;
}
if(function_exists( 'wp_add_inline_script' )):
	add_action( 'wp_enqueue_scripts', 'monex_custom_js');
else:
	add_action( 'wp_head', 'monex_custom_js', 100 );
endif;
?>