<?php
function monex_scripts() {  
	
		$monex_data =  jx_monex_globals();
		/*---------------- Register JS Script ------------------------*/		
		
		wp_enqueue_script('bootstrap', get_template_directory_uri() . '/js/bootstrap.min.js', 'jquery','null',true);
		wp_enqueue_script('respond', get_template_directory_uri() . '/vendor/respond.js', 'jquery','null',true);
		wp_enqueue_script('appear', get_template_directory_uri() . '/vendor/jquery.appear.js', 'jquery','null',true);
		wp_enqueue_script('prettyPhoto', get_template_directory_uri() . '/vendor/prettyPhoto/jquery.prettyPhoto.js', 'jquery','null',false);
		wp_enqueue_script('monex-form-validator', get_template_directory_uri() . '/vendor/form-validator/jquery.form-validator.min.js', 'jquery','null',true);
		wp_enqueue_script('monex-validate', get_template_directory_uri() . '/vendor/jquery.validate.js', 'jquery','null',true);
		wp_enqueue_script('flexslider', get_template_directory_uri() . '/vendor/flexslider/jquery.flexslider.js', 'jquery','null',true);
		wp_enqueue_script('isotope', get_template_directory_uri() . '/vendor/isotope/jquery.isotope.min.js', 'jquery','null',true);		
		wp_enqueue_script('owl', get_template_directory_uri() . '/vendor/owl/owl.carousel.min.js', 'jquery','null',true);		
		wp_enqueue_script('owl-autoplay', get_template_directory_uri() . '/vendor/owl/owl.autoplay.js', 'jquery','null',true);		
		wp_enqueue_script('modernizr', get_template_directory_uri() . '/vendor/modernizr.js', 'jquery','null',true);
		wp_enqueue_script('monex-plugins', get_template_directory_uri() . '/js/plugins.js', 'jquery','null',true);		
		wp_enqueue_script('form-validator', get_template_directory_uri() . '/vendor/form-validator/jquery.form-validator.min.js', 'jquery','null',true);		
		wp_enqueue_script('google-maps','https://maps.googleapis.com/maps/api/js?v=3.exp&amp;key='.$monex_data['google_map_key'].'', array(), null, false);		
		wp_enqueue_script('monex-theme', get_template_directory_uri() . '/js/theme.js', 'jquery','null',true);
		
		
		/*---------------- Enqueue JS Script ------------------------*/		
	
		$ajaxurl = admin_url('admin-ajax.php');
		$ajax_nonce = wp_create_nonce('MailChimp');
		wp_localize_script( 'jquery-core', 'ajaxVars', array( 'ajaxurl' => $ajaxurl, 'ajax_nonce' => $ajax_nonce ) );
		
		if ( is_singular() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' );
    	}
		
		/*------------------ Google Fint ---------------------------*/
		
		
}


//Google Font Enqueue

function monex_google_fonts() {
	
	$monex_data =  jx_monex_globals();
	
	$fonts_url = '';
	
	
	/*
    Translators: If there are characters in your language that are not supported
    by chosen font(s), translate this to 'off'. Do not translate into your own language.
     */

    if ( 'off' !== _x( 'on', 'Google Body font: on or off', 'monex' ) ) :
		$font_families[]= esc_attr($monex_data['google_body_font']). ":400,400italic,700,700italic";
	endif;
	
	if ( 'off' !== _x( 'on', 'Google Menu font: on or off', 'monex' ) ) :
		$font_families[]= esc_attr($monex_data['google_menu_font']). ':400,400italic,700,700italic';
	endif;
    
	if ( 'off' !== _x( 'on', 'Google Headings font: on or off', 'monex' ) ) :
    	$font_families[]= esc_attr($monex_data['google_headings_font']). ':400,400italic,700,700italic';
	endif;
    
	if ( 'off' !== _x( 'on', 'Google Footer Headings font: on or off', 'monex' ) ) :
    	$font_families[]= esc_attr($monex_data['google_body_font']). ':400,400italic,700,700italic';
	endif;
    
    if ( 'off' !== _x( 'on', 'Google Manual font: on or off', 'monex' ) ) :
		$font_families[]= esc_attr($monex_data['google_font_manual_load']). ':400,400italic,700,700italic'; 
	endif;
	
	if ( 'off' !== _x( 'on', 'Google Manual font: on or off', 'monex' ) ) :
		$font_families[]= esc_attr($monex_data['google_font_manual_load_2']). ':400,400italic,700,700italic'; 
	endif;
		
		
		 
	$query_args = array(
	'family' => urlencode( implode( '|', $font_families ) ),
	'subset' => urlencode( 'latin,greek-ext,cyrillic,latin-ext,greek,cyrillic-ext,vietnamese' ),
	);
		 
	$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
	
	 
	return esc_url_raw( $fonts_url );
}

//EOF


function monex_styles()  
{  
	$monex_data =  jx_monex_globals();
	$theme_color=$monex_data['theme_color'];	
	$theme_base_color=esc_attr($monex_data['theme_base_color']);
	
	/*---------------- Register CSS Styles ------------------------*/
	
	wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/fonts/font-awesome.min.css', array(), '1', 'all' );	
	wp_enqueue_style( 'monex-theme-elements', get_template_directory_uri() . '/css/theme-elements.css', array(), '1', 'all' );
	wp_enqueue_style( 'monex-theme-responsive', get_template_directory_uri() . '/css/theme-responsive.css', array(), '1', 'all' );
	wp_enqueue_style( 'monex-plugins', get_template_directory_uri() . '/css/plugins.css', array(), '1', 'all' );
	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.min.css', array(), '1', 'all' );	
	wp_enqueue_style( 'flexslider', get_template_directory_uri() . '/vendor/flexslider/flexslider.css', array(), '1', 'all' );
	wp_enqueue_style( 'prettyPhoto', get_template_directory_uri() . '/vendor/prettyPhoto/prettyPhoto.css', array(), '1', 'all' );
	wp_enqueue_style( 'monex-vc-style', get_template_directory_uri() . '/css/vc_style.css', array(), '1', 'all' );
	wp_enqueue_style( 'owl', get_template_directory_uri() . '/vendor/owl/owl.carousel.css', array(), '1', 'all' );
	wp_enqueue_style( 'owl-theme', get_template_directory_uri() . '/vendor/owl/owl.theme.css', array(), '1', 'all' );
	wp_enqueue_style( 'google-fonts', monex_google_fonts(), array(), null );
	
	//Default Skin
	if (($theme_color && $theme_color!="#ffe102") or ($theme_base_color && $theme_base_color!="#082d72") ):
		wp_enqueue_style( 'monex-dynamic', get_template_directory_uri() . '/css/dynamic_monex.css', array(), '1', 'all' );
	
	else:
	
		if(is_page('home-15')) {
			wp_enqueue_style( 'monex-gyellow', get_template_directory_uri() . '/css/skins/greenyellow.css', array(), '1', 'all' );
		}elseif(is_page('home-2')) {
			wp_enqueue_style( 'monex-orange', get_template_directory_uri() . '/css/skins/orange.css', array(), '1', 'all' );
		}elseif(is_page('home-3')) {
			wp_enqueue_style( 'monex-golden', get_template_directory_uri() . '/css/skins/golden.css', array(), '1', 'all' );
		}elseif(is_page('home-4')) {
			wp_enqueue_style( 'monex-blue', get_template_directory_uri() . '/css/skins/torquze.css', array(), '1', 'all');
		}elseif(is_page('home-5')) {
			wp_enqueue_style( 'monex-gyellow', get_template_directory_uri() . '/css/skins/greenyellow.css', array(), '1', 'all' );
		}else{
		   wp_enqueue_style( 'monex-skin', get_template_directory_uri() . '/css/skins/sun.css', array(), '1', 'all' );
		}
		
	endif;
	
	
	if (!wp_is_mobile()):
		wp_enqueue_style( 'theme-animate', get_template_directory_uri() . '/css/theme-animate.css', array(), '1', 'all' );
	endif;
	
	function monex_ie_style_sheets () {
	wp_enqueue_style( 'ie8', get_template_directory_uri() . '/css/ie.css'  );
	$GLOBALS['wp_styles']->add_data( 'ie8', 'conditional', 'lte IE 9' );
	
	wp_enqueue_style( 'ie6', get_template_directory_uri() . '/css/ie-6.css'  );
	$GLOBALS['wp_styles']->add_data( 'ie6', 'conditional', 'lt IE 7' );
	
	wp_enqueue_style( 'ie7', get_template_directory_uri() . '/css/ie-7.css'  );
	$GLOBALS['wp_styles']->add_data( 'ie7', 'conditional', 'IE 7' );
	
	wp_enqueue_style( 'ie8', get_template_directory_uri() . '/css/ie-8.css'  );
	$GLOBALS['wp_styles']->add_data( 'ie8', 'conditional', 'IE 8' );

	}
	
	add_action ('wp_enqueue_scripts','monex_ie_style_sheets');
	
		
	// Main Stylesheet
	wp_enqueue_style( 'stylesheet', get_stylesheet_uri(), array(), '1', 'all' ); 
	
}  
add_action( 'wp_enqueue_scripts', 'monex_styles', 1 ); 
add_action( 'wp_enqueue_scripts', 'monex_scripts' ); 
	//----------------------------------------------------------------------------
	//-----------Admin Colorpicker 
	//----------------------------------------------------------------------------
	add_action( 'admin_enqueue_scripts', 'monex_enqueue_color_picker' );
	function monex_enqueue_color_picker( $hook_suffix ) {
		// first check that $hook_suffix is appropriate for your admin page		
    	wp_enqueue_script( 'walker-menu', get_template_directory_uri().'/inc/menu-walker/walker_menu.js', false, true );
		wp_enqueue_style( 'walker-menu', get_template_directory_uri().'/inc/menu-walker/walker_menu.css', false, true );
		wp_enqueue_style( 'font-awesome-loader', get_template_directory_uri() . '/fonts/font-awesome.min.css', array(), '1', 'all' );
		
	}
	
	add_action( 'init', 'monex_add_editor_styles' );
	function monex_add_editor_styles() {
		add_editor_style( get_stylesheet_uri() );
	}
		
 
?>