<?php
get_header(); $monex_data =  jx_monex_globals();
	
	$content_class = '';
	$sidebar_class = '';
	$sidebar_display='';
	$sidebar_width='';
	$content_width ='';
	
	if(get_post_meta(get_the_ID(), 'monex_sidebar', true) == 'no-sidebar') {
		$content_class = 'has-no-sidebar';
		$sidebar_class = 'no-sidebar';
		$content_width ='';
		$cols_width='col-sm-8 col-md-12';
		$sidebar_display='display:none';
	} elseif (get_post_meta(get_the_ID(),  'monex_sidebar', true) == 'right-sidebar') {
		$content_class = 'content-left left';
		$sidebar_class = 'sidebar-right right';
		$content_width ='with-sidebar';
		$cols_width='col-sm-8 col-md-9';
		$sidebar_width='col-sm-4 col-md-3';
	} elseif (get_post_meta(get_the_ID(),  'monex_sidebar', true) == 'left-sidebar') {
		$content_class = 'content-right right';
		$sidebar_class = 'sidebar-left left';
		$content_width ='with-sidebar';
		$cols_width='col-sm-8 col-md-9';
		$sidebar_width='col-sm-4 col-md-3';
	} elseif ( (get_post_meta(get_the_ID(),'monex_sidebar', true) == 'default') || (get_post_meta(get_the_ID(),  'monex_sidebar', true) == '') ) {
		if( $monex_data['sidebar_position'] == 'no-sidebar' ) {
			$content_class = 'has-no-sidebar';
			$sidebar_class = 'no-sidebar';
			$content_width ='';
			$cols_width='col-sm-8 col-md-12';
			$sidebar_display='display:none';
		} elseif( $monex_data['sidebar_position'] == 'right-sidebar' ) {
			$content_class = 'content-left left';
			$sidebar_class = 'sidebar-right right';
			$content_width ='with-sidebar';
			$cols_width='col-sm-8 col-md-9';
			$sidebar_width='col-sm-4 col-md-3';
		} elseif( $monex_data['sidebar_position'] == 'left-sidebar' ) {
			$content_class = 'content-right right';
			$sidebar_class = 'sidebar-left eft';
			$content_width ='with-sidebar';
			$cols_width='col-sm-8 col-md-9';
			$sidebar_width='col-sm-4 col-md-3';
		}
	}
	
	?>
	 <!-- BOF Main Content -->
    <div id="main" class="middle_container">
            <div class="container <?php echo $content_width; ?>">
                <div class="row">
                <div class="<?php echo $cols_width ?> <?php echo $content_class; ?>"> 
                	<div class="theiaStickySidebar">
                    <?php if ( have_posts() ) : ?>
            
                        <?php if ( is_home() && ! is_front_page() ) : ?>
                            <header>
                                <h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
                            </header>
                        <?php endif; ?>
            
                        <?php /* Start the Loop */ ?>
                        <?php while ( have_posts() ) : the_post(); ?>
            
                            <?php
            
                                /*
                                 * Include the Post-Format-specific template for the content.
                                 * If you want to override this in a child theme, then include a file
                                 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                                 */
                                get_template_part( 'template-parts/content', get_post_format() );
                            ?>
            
                        <?php endwhile; ?>
                        <div class="row"></div>
                        <div class="jx-monex-pagination">
                            <?php the_posts_pagination(); ?>
                        </div>
                    <?php else : ?>
            
                        <?php get_template_part( 'template-parts/content', 'none' ); ?>
            
                    <?php endif; ?>
                    </div>
                </div>
                <!-- EOF Body Content -->
                
                <?php if ( is_active_sidebar( 'monex-general-sidebar' ) ) : ?>
                <div id="sidebar" class="<?php echo $sidebar_width; ?> <?php echo $sidebar_class; ?>" style="<?php echo $sidebar_display; ?>">    
                    <div class="theiaStickySidebar">
                        <?php dynamic_sidebar( 'monex-general-sidebar' ); ?>
                    </div>
                </div>
                <?php endif;?>
                <!-- EOF sidebar-->
                </div>
            </div>
            <!-- EOF container -->
    </div>
<?php get_footer(); ?>
