<?php
//Template Name: Side Navigation
get_header(); 
$image_size='monex_service';
?>		
	
    <?php
	$content_class = '';
	$sidebar_class = '';
	$sidebar_display='';
	$sidebar_width='';
	$content_width ='';
	
	if(get_post_meta(get_the_ID(), 'monex_sidebar', true) == 'no-sidebar') {
		$content_class = 'has-no-sidebar';
		$sidebar_class = 'no-sidebar';
		$content_width ='';
	} elseif (get_post_meta(get_the_ID(),  'monex_sidebar', true) == 'right-sidebar') {
		$content_class = 'content-left alpha';
		$sidebar_class = 'sidebar-right omega';
		$content_width ='with-sidebar';
	} elseif (get_post_meta(get_the_ID(),  'monex_sidebar', true) == 'left-sidebar') {
		$content_class = 'content-right omega';
		$sidebar_class = 'sidebar-left alpha';
		$content_width ='with-sidebar';
	} 
	?>
    
    <!-- BOF Main Content -->
    <div class="main no-top-padding">
    
   		<!-- Service Details -->
        <div class="middle_container">
            <div class="container <?php echo $content_width ?>">
    			<div class="row">
                    
                    <!-- sidebar start -->
                    <div id="sidebar-no" class="col-sm-4 col-md-3 <?php echo $sidebar_class; ?>"> 
						<?php dynamic_sidebar( 'monex-sidebar-about' ); ?>
                    </div>
                    <!-- sidebar end -->
                    
                    <!-- content start -->
                    <div class="col-sm-8 col-md-9 <?php echo $content_class; ?>">                   
                        <!-- BDF PAGE CONTENT -->
                        <div class="jx-monex-team-content"> 
                        
                        <?php 
						
							$teamsocial_code='';
							
							$teammember_facebook = get_post_meta(get_the_id(),'monex_teammember_fb','monex');
							$teammember_twitter = get_post_meta(get_the_id(),'monex_teammember_twitter','monex');
							$teammember_google_plus = get_post_meta(get_the_id(),'monex_teammember_linkedin','monex'); 
							$teammember_email = get_post_meta(get_the_id(),'monex_teammember_email','monex');
							$teammember_skype = get_post_meta(get_the_id(),'monex_teammember_skype','monex'); 
							
							if($teammember_facebook):
							$teamsocial_code ='<li><a href="'.esc_attr($teammember_facebook).'"><i class="fa fa-facebook"></i></a></li>';
							endif;
							
							if($teammember_twitter):
							$teamsocial_code .='<li><a href="'.esc_attr($teammember_twitter).'"><i class="fa fa-twitter"></i></a></li>';
							endif;
							
							if($teammember_google_plus):
							$teamsocial_code .='<li><a href="'.esc_attr($teammember_google_plus).'"><i class="fa fa-google-plus"></i></a></li>';
							endif;
							
							if($teammember_email):
							$teamsocial_code .='<li><a href="'.esc_attr($teammember_email).'"><i class="fa fa-envelope"></i></a></li>';
							endif;
							
							if($teammember_skype):
							$teamsocial_code .='<li><a href="'.esc_attr($teammember_skype).'"><i class="fa fa-skype"></i></a></li>';
							endif;
						
						?>
						
                        <div class="col-sm-3 col-md-4 jx-monex-team-image alpha">
                        	<?php the_post_thumbnail();?>
                        </div>
                        
                        <div class="col-sm-3 col-md-8 jx-monex-team-excerpt">
                        	<div class="jx-monex-title-1 jx-dark">
                                <h2><?php the_title(); ?></h2>
                            </div>
							<?php the_excerpt();?>
                            
                            <div class="team-social">
                                <ul>
                                    <?php echo $teamsocial_code; ?>	
                                </ul>
                            </div>
                            <!-- Social Icons -->
                        </div>
						<?php while ( have_posts() ) : the_post(); ?>
                            <?php the_content(); ?>
                        <?php endwhile; // End of the loop. ?>
                        </div>
                        <!-- EDF PAGE CONTENT -->  
                        <!--spacer start-->
						<div class="space50"></div>
						<!--spacer end-->                  
                    </div>         
                    <!-- EDF Main Content -->                    
                                   
                </div>   
                <!-- EDF Side Bar Content -->                
            </div>
        </div>
        <!-- EOF Service Details-->

    </div>
    <!-- EOF Main Content -->
<?php get_footer(); ?>
