<?php
//Template Name: Classic Portfolio
global $post;
get_header();
 ?>		
	
     <!-- BOF Main Content -->
    <div id="main" class="main">
        <div id="primary" class="content-area">
            <div class="container">
            	<div id="post-<?php the_ID(); ?>" <?php post_class('jx-monex-portfolio-columns'); ?>>
       		   <div class="jx-monex-protfolio">       
                   
                   <div class="jx-monex-portfolio-container">			
                       <?php
                       
                        $i=0;
                        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;          
                        $args = array('post_type' => 'portfolio','orderby' => 'date', 'order' => 'ASC','showposts' => 12,'paged'=>$paged ); 
                        $loop = new WP_Query( $args ); 		
                        while ( $loop->have_posts() ) : $loop->the_post();  
                        
                            //Get Portfolio Categories			
                            $imagesize='monex_portfolio';
							
                            $terms_string = '';
                            $terms = get_the_terms(get_the_ID(), 'portfolio-categories'); 				 
                              
                            //build up comma delimited string 
                            if ($terms):
                                foreach($terms as $t){ 
                                    $terms_string .= $t->slug . ' '; 
                                } 
                            endif;
                            
                            $post_thumbnail_id = get_post_thumbnail_id();
                            $post_thumbnail_url = wp_get_attachment_image_src($post_thumbnail_id,'large', true);
                            
                            if(get_post_meta(get_the_ID(),'monex_project_photos',false )):
                                
                                $image_url 	= 	wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'large');					
                                $image_path	=	get_post_meta(get_the_ID(),'monex_project_photos',false );					
                                $images 	= 	rwmb_meta( 'monex_project_photos', 'type=image_advanced' );
                                
                                foreach ( $images as $image ){
                                    $images_url=$image['full_url'];
                                }	
                            endif;
                            ?>
                            
                                <div class="col-sm-3 col-md-4 portfolio-item jx-monex-image-wrapper <?php echo $terms_string; ?> all">
                                    <div class="image"><?php the_post_thumbnail($imagesize); ?>
                                    <div class="jx-monex-portfolio-hoverlayer"></div>
                                    
                                        <div class="jx-monex-portfolio-hover">
                                           
                                            <div class="jx-monex-portfolio-top-hover">
                                               <div class="jx-monex-title jx-monex-uppercase"><a href="<?php echo esc_url($post_thumbnail_url[0]); ?>" data-rel="prettyPhoto"><?php the_title(); ?></a></div>                                                
                                            </div>
                                            <!-- Top Hover Title -->                                            
                                            
                                        </div>
                                    </div>
                                    <!-- EOF Hover -->
                              </div>
                        <?php
                        $i++;
                        endwhile;
                        wp_reset_postdata();
                        ?> 
                    	                      
                   </div>
                   <!-- Content -->
                   <!--spacer start-->
                    <div class="space30"></div>
                    <!--spacer end-->
                    
                   <div class="jx-monex-pagination">
                       <?php monex_pagination($loop->max_num_pages,$paged); ?>
                   </div>
                   <!-- Pagination -->
                   
               </div>      
                                      
            </div>
            </div>
            <!-- EOF Grid Portfolio -->
        </div><!-- #primary -->
    </div>
<?php get_footer(); ?>
