<?php
/*
Plugin Name: button Widget
Plugin URI: http://janxcode.com/
Description: janxcode button Widget 
Author: janXcode
Version: 1
Author URI: http://janxcode.com/
*/
class widget_monex_button extends WP_Widget
{
  function __construct()
  {
    $widget_ops = array('classname' => 'widget_monex_button', 'description' => 'button Info','category_id','show_date' );
    parent::__construct('widget_monex_button', esc_html__('monex Buttons','monex'), $widget_ops);
  }
 
 
 
 //Form
  function form($instance) {
	$instance = wp_parse_args( (array) $instance, array('title' => 'Button', 'name' => '','icon_class' => '', 'link' => '') );
 
	$title 			= esc_attr($instance['title']);
	$icon_class		= $instance['icon_class'];
	$name 			= $instance['name'];
	$link 			= $instance['link'];
	
	?>
            	<p>
                <label for="<?php echo $this->get_field_id('title'); ?>">Title:</label>
                   <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
                </p>
     		
            	<p>
                    <label for="<?php echo $this->get_field_id('icon-class'); ?>">Fontawesome Class:</label>
                    <input class="widefat" id="<?php echo $this->get_field_id('icon-class'); ?>" name="<?php echo $this->get_field_name('icon-class'); ?>" type="text" value="<?php echo $icon_class; ?>" />    
                </p>
                
                <p>
                    <label for="<?php echo $this->get_field_id('name'); ?>">Name:</label>
                    <input class="widefat" id="<?php echo $this->get_field_id('name'); ?>" name="<?php echo $this->get_field_name('name'); ?>" type="text" value="<?php echo $name; ?>" />    
                </p>
            
            	<p>
                    <label for="<?php echo $this->get_field_id('link'); ?>">link:</label>
                    <input class="widefat" id="<?php echo $this->get_field_id('link'); ?>" name="<?php echo $this->get_field_name('link'); ?>" type="text" value="<?php echo $link; ?>" />
                </p>
               
 
    <?php
    }
 
    function update($new_instance, $old_instance) {
	
	$instance	=	$old_instance;
	
	$instance['title']			=$new_instance['title'];
	$instance['link']			=$new_instance['link'];
	$instance['icon-class']     =$new_instance['icon-class'];
	$instance['name']			=$new_instance['name'];
	return $instance;
    }
  
  
  //Output
 function widget($args, $instance)
  {
    extract($args);
 	
	
	
	
    echo $before_widget;
    $title 			= empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
	$icon_class 		= $instance['icon-class'];
	$name 		= $instance['name'];
	$link 			= $instance['link'];

 
	echo '<a class="btn btn-default btn-block jx-monex-sendMnyBtn jx-modal-btn" href="'.esc_url($link).'" role="button"><i class="fa '.$icon_class.'"></i> '.$name.'</a>'; 
 	echo '<div class="space30"></div>';
    echo $after_widget;
  }
  
 
}
// Add Widget
function widget_monex_button_init() {
	register_widget('widget_monex_button');
}
add_action('widgets_init', 'widget_monex_button_init');
?>
