<?php
/*
Plugin Name: Video Widget
Plugin URI: http://janxcode.com/
Description: janxcode Video Widget 
Author: janXcode
Version: 1
Author URI: http://janxcode.com/
*/
class widget_monex_video extends WP_Widget
{
  function __construct()
  {
    $widget_ops = array('classname' => 'widget_monex_video', 'description' => 'Video','category_id','show_date' );
    parent::__construct('widget_monex_video', esc_html__('monex Video','monex'), $widget_ops);
  }
 
 
 
 //Form
  function form($instance) {
	$instance = wp_parse_args( (array) $instance, array('title' => 'Video', 'video_url' => '') );
 
	$title 			= esc_attr($instance['title']);
	$video_url 		= $instance['video_url'];
	
	?>
            	<p>
                <label for="<?php echo $this->get_field_id('title'); ?>">Title:</label>
                   <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
                </p>
     		
            	<p>
                    <label for="<?php echo $this->get_field_id('video_url'); ?>">Address:</label>
                    <input class="widefat" id="<?php echo $this->get_field_id('video_url'); ?>" name="<?php echo $this->get_field_name('video_url'); ?>" type="text" value="<?php echo $video_url; ?>" />    
                </p>
            	
    <?php
    }
 
    function update($new_instance, $old_instance) {
	
	$instance	=	$old_instance;
	
	$instance['title']			=$new_instance['title'];
	$instance['video_url']		=$new_instance['video_url'];
	
	return $instance;
    }
  
  
  //Output
 function widget($args, $instance)
  {
    extract($args);
 	
	global $wp_embed;
	
	
    echo $before_widget;
    $title 			= empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
	$video_url 		= $instance['video_url'];

 
    if (!empty($title))
      echo $before_title . $title . $after_title;
 
  	$post_embed = $wp_embed->run_shortcode('[embed width="280" height="160"]'.$video_url.'[/embed]');
	
	echo $post_embed;
 
    echo $after_widget;
  }
  
 
}
// Add Widget
function widget_monex_video_init() {
	register_widget('widget_monex_video');
}
add_action('widgets_init', 'widget_monex_video_init');
?>
