<?php
function all_user_list() {
    global $wpdb;

    $user_id = get_current_user_id();
    $args = [
        //'blog_id' => 1,
        //'role__not_in' => ['administrator'],
        'orderby' => 'nicename',
        'exclude' => $user_id,
        'order' => 'ASC',
        'fields' => 'all',
    ];
    $users = get_users($args);

    // Return null if we found no results
    if ( ! $users )
        return;

    // HTML for our select printing post titles as loop
    $output = '<select name="receiver_name" id="receiver_name">
    <option selected="selected">'.esc_html__('Select Receiver Name', 'tryo-toolkit').'</option>';

    foreach( $users as $user ) {
        $output .= '<option value="' . $user->display_name . '">' . $user->display_name . '</option>';
    }

    $output .= '</select>'; // end of select element

    // get the html
    return $output;
}

// Then in your project just call the function
// Where you want the select form to appear
//echo output_projects_list();