<?php
/**
 * Register Theme Widget
 * @package Tryo
 */


// Blog Sidebar
function tryo_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Blog Sidebar', 'tryo' ),
		'id'            => 'sidebar-1',
		'description'   => esc_html__( 'Add widgets here.', 'tryo' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
    ) );

    // Shop Sidebar
    register_sidebar( array( 
        'name'          => esc_html__( 'Shop Sidebar', 'tryo' ),
        'id'            => 'shop',
        'description'   => esc_html__( 'Add widgets here.', 'tryo' ),
        'before_widget' => '<div class="widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>',
    ) );

    // Footer One
    register_sidebar( array( 
        'name'          => esc_html__( 'Footer First', 'tryo' ),
        'id'            => 'footer-1',
        'description'   => esc_html__( 'Add widgets here.', 'tryo' ),
        'before_widget' => '<div class="single-footer-widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>',
    ) );
    
    // Footer Two
    register_sidebar( array( 
        'name'          => esc_html__( 'Footer Second', 'tryo' ),
        'id'            => 'footer-2',
        'description'   => esc_html__( 'Add widgets here.', 'tryo' ),
        'before_widget' => '<div class="single-footer-widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>',
    ) );
    
    // Footer Three
    register_sidebar( array( 
        'name'          => esc_html__( 'Footer Third', 'tryo' ),
        'id'            => 'footer-3',
        'description'   => esc_html__( 'Add widgets here.', 'tryo' ),
        'before_widget' => '<div class="single-footer-widget %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>',
    ) );
    
   
}
add_action( 'widgets_init', 'tryo_widgets_init' );