<?php $monex_data =  jx_monex_globals();?>
    
    <!-- BOF FOOTER -->
        
    
    <!--/.footer start here-->
    <div class="jx-monex-footer jx-footer-1">
      <!--address row start-->
      <?php get_template_part ('inc/footer/pre-footer');?>
      <!--address row end-->
      <!--/.subfooter start here-->
      <div class="jx-monex-subfooter">
        <div class="container">
          <div class="row">
            <div class="col-sm-3">
           		<?php if($monex_data['monex_footer_logo']): ?>
                     <div class="jx-monex-footer-logo">
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url($monex_data['monex_footer_logo']); ?>" alt="" /></a>
                     </div>
                 <?php endif; ?>
              <div class="space20"></div>
            </div>
            <!-- /.col-sm-3 -->
            <div class="col-sm-3">
              <?php dynamic_sidebar( 'monex-footer-1' ); ?>
            </div>
            <!-- /.col-sm-3 -->
            <div class="col-sm-3">
              <?php dynamic_sidebar( 'monex-footer-2' ); ?>
            </div>
            <!-- /.col-sm-3 -->
            <div class="col-sm-3">
              <?php dynamic_sidebar( 'monex-footer-3' ); ?>
            </div>
            <!-- /.col-sm-3 -->
          </div>
          <!-- /.row -->
          <hr>
          <div class="row">
            <div class="col-sm-8">
              <div class="copyright"><?php printf(esc_html__( '%s', 'monex'),esc_attr($monex_data['text_copyright'])); ?> <a href="<?php esc_url(get_site_url()); ?>"><?php bloginfo('name'); ?></a></div>
              
              <?php								
					
					$default = array(
						'theme_location'  => 'footer_navigation',
						'menu'            => '',
						'container'       => 'div',
						'menu_class'      => '',
						'echo'            => true,
						'fallback_cb'     => '__return_false',
						'items_wrap'      => '<ul id="%1$s" class="%2$s stripMenu">%3$s</ul>',
						'depth'           => 0
					);
					
					wp_nav_menu($default);									
					
					
				?>    
            </div><!-- /.col-sm-8 -->
            <div class="col-sm-4">
               <div class="social">
                        <ul>
							<?php if($monex_data['text_facebook']): ?>
                            <li class="facebook"><a href="http://www.facebook.com/<?php echo esc_attr($monex_data['text_facebook']); ?>"><i class="fa fa-facebook"></i></a></li>
                            <?php endif; ?>
                            <?php if($monex_data['text_twitter']): ?>
                            <li class="twitter"><a href="http://www.twitter.com/<?php echo esc_attr($monex_data['text_twitter']); ?>"><i class="fa fa-twitter"></i></a></li>
                            <?php endif; ?>
                            <?php if($monex_data['text_youtube']): ?>
                            <li class="youtube"><a href="http://www.youtube.com/<?php echo esc_attr($monex_data['text_youtube']); ?>"><i class="fa fa-youtube"></i></a></li>
                            <?php endif; ?>
                            <?php if($monex_data['text_googleplus']): ?>
                            <li class="googleplus"><a href="http://www.googleplus.com/<?php echo esc_attr($monex_data['text_googleplus']); ?>"><i class="fa fa-google-plus"></i></a></li>
                            <?php endif; ?>
                            <?php if($monex_data['text_dribbble']): ?>
                            <li class="dribbble"><a href="http://www.dribbble.com/<?php echo esc_attr($monex_data['text_dribbble']); ?>"><i class="fa fa-dribbble"></i></a></li>
                            <?php endif; ?>
                            <?php if($monex_data['text_instagram']): ?>
                            <li class="instagram"><a href="http://www.instagram.com/<?php echo esc_attr($monex_data['text_instagram']); ?>"><i class="fa fa-instagram"></i></a></li>
                            <?php endif; ?>
                            <?php if($monex_data['text_pinterest']): ?>
                            <li class="pinterest"><a href="http://www.pinterest.com/<?php echo esc_attr($monex_data['text_pinterest']); ?>"><i class="fa fa-pinterest"></i></a></li>
                            <?php endif; ?>
                            <?php if($monex_data['text_flickr']): ?>
                            <li class="flickr"><a href="http://www.flickr.com/<?php echo esc_attr($monex_data['text_flickr']); ?>"><i class="fa fa-flickr"></i></a></li>
                            <?php endif; ?>
                        </ul>
                     </div>
            </div><!-- /.social -->
          </div><!-- /.col-sm-4 -->
        </div>
        <!-- /.container -->
      </div>
      <!--/.subfooter end here-->
    </div>
    <!--/.footer end here-->