<?php //Header-1 

	$monex_data =  jx_monex_globals();
	
	$sticky_class='';
	$header_class='';
	
	if(is_page_template('template-home.php')):
		$header_class='jx-monex-header-transparent';
	endif;
	
	if (!wp_is_mobile()):
		if ($monex_data['check_sticky_header']):
		$sticky_class='jx-monex-sticky';
		endif;
	endif;
	
	
?>
	
    <div class="jx-monex-header jx-header-3">
    
        <!-- start topbar -->
        <div class="jx-monex-top-bar hidden-xs">
          <div class="container">
            <div class="row">
            
              <div class="col-sm-6">
                <div class="jx-monex-left-topbar"> 
                    <span> <?php echo esc_attr($monex_data['text_contact_msg']); ?></span> 
                </div>
              </div>
              <!--.col-sm-6 end-->
              
              <div class="col-sm-6">
              	<div class="jx-monex-right-topbar">
					
                    <?php if($monex_data['text_contact_email']):?>
                    <a href="mailto:<?php echo esc_attr($monex_data['text_contact_email']); ?>"><i class="fa fa-envelope"></i> <?php echo esc_attr($monex_data['text_contact_email']); ?></a>
                    <?php endif;?>
                </div>
              </div>
              <!--.col-sm-6 end-->
              
            </div>
            <!--.row end-->
          </div>
          <!--.container end-->
        </div>
        <!-- end topbar -->
        
        <!-- start subtopbar -->
        <div class="jx-monex-sub-top-bar">
          <div class="container">
            <div class="row">
            
              <div class="col-sm-3">
                 <?php if($monex_data['monex_logo'] != ""): ?>
                	<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="navbar-brand"><img src="<?php echo esc_url($monex_data['monex_logo']); ?>" alt="<?php bloginfo('name'); ?>" class="logo_standard"/></a>
                    <?php if($monex_data['logo_retina'] != '') : ?>
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>"  class="navbar-brand"><img src="<?php echo esc_url($monex_data['logo_retina']); ?>" width="<?php echo esc_attr($monex_data['logo_width']); ?>" height="<?php echo esc_attr($monex_data['logo_height']); ?>" alt="<?php bloginfo('name'); ?>" class="logo_retina"/></a>				
                    <?php endif; ?>
                    <!-- EOF Retina -->                    
                <?php endif ?> 
              </div>
              <!--.col-sm-4 end-->
              
              <div class="col-sm-9">

                <div class="jx-monex-header-info">                            
                    <ul>
                        <li class="top-space">
                            <div class="icon"><i class="fa fa fa-phone"></i></div>
                            <div class="position">
                            <div class="contact"><?php echo esc_html_e('Contact Us','monex'); ?></div>
                            <div class="number"><?php echo esc_attr($monex_data['text_contact_phone']); ?></div>
                            </div>
                        </li>                                
                        <li class="top-space">
                            <div class="icon"><i class="fa fa-map-marker"></i></div>
                            <div class="position">
                            <div class="location"><?php echo esc_html_e('Our Address','monex'); ?></div>
                            <div class="address"><?php echo esc_attr($monex_data['text_location']); ?></div>
                            </div>
                        </li>  
                        <li class="top-space">
                            <div class="icon"><i class="fa fa-clock-o"></i></div>
                            <div class="position">
                            <div class="time"><?php echo esc_html_e('Working Hours','monex'); ?></div>
                            <div class="date"><?php echo esc_attr($monex_data['text_office_time']); ?></div>
                            </div>
                        </li>                                
                         
                    </ul>
                </div>
                <!-- Header Info -->

              </div>
              <!--.col-sm-8 end-->
              
            </div>
            <!--.row end-->
          </div>
          <!--.container end-->
        </div>
        <!-- end subtopbar -->
        
        
        <!--start navbar-->
        <div class="jx-monex-menubar  <?php echo $sticky_class;?>">
          <nav class="navbar jx-monex-navbar-default">
            <div class="container">
              
              <div class="collapse navbar-collapse menunav" id="bs-example-navbar-collapse-1">
                
                <?php								
							
						$default = array(
							'theme_location'  => 'primary_navigation',
							'menu'            => '',
							'container'       => 'div',
							'menu_class'      => 'jx-monex-mainmenu navbar-right',
							'echo'            => true,
							'fallback_cb'     => '__return_false',
							'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
							'depth'           => 0,
							'walker'          => new monex_mega_menu()
						);
						
						wp_nav_menu($default);									
						
						
					?>                
              </div>
              <!-- /.navbar-collapse -->
            </div>
            <!-- /.container -->
          </nav>
        </div>
        <!--end navbar-->
    </div>
    <!--end header-->
    
    <?php get_template_part('inc/ajax', 'auth'); ?>
    <?php get_template_part('inc/titlebar'); ?>
        
