<?php //Header-2 

	$monex_data =  jx_monex_globals();
	
	$sticky_class='';
	$header_class='';
	
	if(is_page_template('template-home.php')):
		$header_class='jx-monex-header-transparent';
	endif;
	
	
	if (!wp_is_mobile()):
		if ($monex_data['check_sticky_header']):
		$sticky_class='jx-monex-sticky';
		endif;
	endif;
?>
	
    <div class="jx-monex-header jx-header-2 <?php echo $sticky_class;?>">       
        
        <!--start navbar-->
        <div class="jx-monex-menubar">
          <nav class="navbar jx-monex-navbar-default">
            <div class="container">
              <!-- Brand and toggle get grouped for better mobile display -->
              <div class="jx-monex-navbar-header">
                 
                 <?php if($monex_data['monex_logo'] != ""): ?>
                	<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="navbar-brand"><img src="<?php echo esc_url($monex_data['monex_logo']); ?>" alt="<?php bloginfo('name'); ?>" class="logo_standard"/></a>
                    <?php if($monex_data['logo_retina'] != '') : ?>
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>"  class="navbar-brand"><img src="<?php echo esc_url($monex_data['logo_retina']); ?>" width="<?php echo esc_attr($monex_data['logo_width']); ?>" height="<?php echo esc_attr($monex_data['logo_height']); ?>" alt="<?php bloginfo('name'); ?>" class="logo_retina"/></a>				
                    <?php endif; ?>
                    <!-- EOF Retina -->                    
                <?php endif ?>
                 
              </div>
              <!-- Collect the nav links, forms, and other content for toggling -->
              
              <div class="collapse navbar-collapse menunav" id="bs-example-navbar-collapse-1">
                
                <?php								
						
						$default = array(
							'theme_location'  => 'primary_navigation',
							'menu'            => '',
							'container'       => 'div',
							'menu_class'      => 'jx-monex-mainmenu navbar-right',
							'echo'            => true,
							'fallback_cb'     => '__return_false',
							'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
							'depth'           => 0,
							'walker'          => new monex_mega_menu()
						);
						
						wp_nav_menu($default);									
						
						
					?>                
              </div>
              <!-- /.navbar-collapse -->
            </div>
            <!-- /.container -->
          </nav>
        </div>
        <!--end navbar-->
    </div>
    <!--end header-->
    
    <?php get_template_part('inc/ajax', 'auth'); ?>
    <?php get_template_part('inc/titlebar'); ?>
        
