<?php //Header-1 

	$monex_data =  jx_monex_globals();
	
	$sticky_class='';
	$header_class='';
	
	
	if (!wp_is_mobile()):
		if ($monex_data['check_sticky_header']):
		$sticky_class='jx-monex-sticky';
		endif;
	endif;
	
	
?>
	
    <div class="jx-monex-header jx-header-4">
    
        <!-- start subtopbar -->
        <div class="jx-monex-sub-top-bar">
          <div class="container">
            <div class="row">
            
              <div class="col-sm-3">
                 <?php if($monex_data['monex_logo'] != ""): ?>
                	<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="navbar-brand"><img src="<?php echo esc_url($monex_data['monex_logo']); ?>" alt="<?php bloginfo('name'); ?>" class="logo_standard"/></a>
                    <?php if($monex_data['logo_retina'] != '') : ?>
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>"  class="navbar-brand"><img src="<?php echo esc_url($monex_data['logo_retina']); ?>" width="<?php echo esc_attr($monex_data['logo_width']); ?>" height="<?php echo esc_attr($monex_data['logo_height']); ?>" alt="<?php bloginfo('name'); ?>" class="logo_retina"/></a>				
                    <?php endif; ?>
                    <!-- EOF Retina -->                    
                <?php endif ?> 
              </div>
              <!--.col-sm-4 end-->
              
              <div class="col-sm-6">

			  	<div class="jx-monex-topbar-social-icon">
                    <ul>
                        <li><a href="http://www.youtube.com/<?php esc_attr($monex_data['text_youtube']); ?>"><i class="fa fa-youtube-play"></i></a></li>
                        <li><a href="http://www.facebook.com/<?php esc_attr($monex_data['text_facebook']); ?>"><i class="fa fa-facebook"></i></a></li>
                        <li><a href="http://www.twitter.com/<?php esc_attr($monex_data['text_twitter']); ?>"><i class="fa fa-twitter"></i></a></li>
                        <li><a href="http://www.instagram.com/<?php esc_attr($monex_data['text_instagram']); ?>"><i class="fa fa-instagram"></i></a></li>
                    </ul>                
                </div>
                <!-- Social Icon -->
              
              </div>
              <!--.col-sm-4 end-->
              
              <div class="col-sm-3">
              
              	<div class="jx-login">
               		 <?php if (is_user_logged_in()) { ?>
                            <a class="sign_out" href="<?php echo wp_logout_url( esc_url(home_url('/')) ); ?>"><i class="fa fa-sign-out"></i><span><?php esc_html_e('Sign Out','monex'); ?></span></a>
                    <?php } else { ?>            	
                            <a class="login_button show_login" id="show_login_button" href=""><i class="fa fa-user"></i><?php esc_html_e('Login / Register','monex'); ?></a>
                    <?php } ?>
                </div>
                <div class="btn-group pull-right">
                  <button type="button" class="btn btn-default dropdown-toggle laguageBtn" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> <?php esc_html_e('English','monex'); ?> <i class="fa fa-chevron-down"></i> </button>
                  
                  <?php 
				  	
					$default = array(
							'theme_location'  => 'top_navigation',
							'menu'            => '',
							'container'       => '',
							'menu_class'      => 'dropdown-menu',
							'echo'            => true,
							'fallback_cb'     => '__return_false',
							'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
							'depth'           => 0
						);
						
						wp_nav_menu($default);		
				  
				  ?>
                </div>
                <!-- language button -->

              </div>
              <!--.col-sm-5 end-->
              
            </div>
            <!--.row end-->
          </div>
          <!--.container end-->
        </div>
        <!-- end subtopbar -->
        
        
        <!--start navbar-->
        <div class="jx-monex-menubar  <?php echo $sticky_class;?>">
          <nav class="navbar jx-monex-navbar-default">
            <div class="container">
              
              <div class="collapse navbar-collapse menunav" id="bs-example-navbar-collapse-1">
                
                <?php								
							
						$default = array(
							'theme_location'  => 'primary_navigation',
							'menu'            => '',
							'container'       => 'div',
							'menu_class'      => 'jx-monex-mainmenu navbar-right',
							'echo'            => true,
							'fallback_cb'     => '__return_false',
							'items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>',
							'depth'           => 0,
							'walker'          => new monex_mega_menu()
						);
						
						wp_nav_menu($default);									
						
						
					?>                
              </div>
              <!-- /.navbar-collapse -->
            </div>
            <!-- /.container -->
          </nav>
        </div>
        <!--end navbar-->
    </div>
    <!--end header-->
    
    <?php get_template_part('inc/ajax', 'auth'); ?>
    <?php get_template_part('inc/titlebar'); ?>
        
