<?php
//Template Name: Side Navigation
get_header(); 
$image_size='monex_service';
?>		
	
    <?php
	$content_class = '';
	$sidebar_class = '';
	$sidebar_display='';
	$sidebar_width='';
	$content_width ='';
	
	if(get_post_meta(get_the_ID(), 'monex_sidebar', true) == 'no-sidebar') {
		$content_class = 'has-no-sidebar';
		$sidebar_class = 'no-sidebar';
		$content_width ='';
	} elseif (get_post_meta(get_the_ID(),  'monex_sidebar', true) == 'right-sidebar') {
		$content_class = 'content-left alpha';
		$sidebar_class = 'sidebar-right omega';
		$content_width ='with-sidebar';
	} elseif (get_post_meta(get_the_ID(),  'monex_sidebar', true) == 'left-sidebar') {
		$content_class = 'content-right omega';
		$sidebar_class = 'sidebar-left alpha';
		$content_width ='with-sidebar';
	} 
	?>
    
    <!-- BOF Main Content -->
    <div class="main no-top-padding">
    
   		<!-- Service Details -->
        <div class="middle_container">
            <div class="container <?php echo $content_width ?>">
    			<div class="row">
                    
                    <!-- sidebar start -->
                    <div id="sidebar-no" class="col-sm-4 col-md-3 <?php echo $sidebar_class; ?>">                    
						<?php dynamic_sidebar( 'monex-sidebar-about' ); ?>
                    </div>
                    <!-- sidebar end -->
                    
                    <!-- content start -->
                    <div class="col-sm-8 col-md-9 <?php echo $content_class; ?>">                   
                        <!-- BDF PAGE CONTENT -->
                        <div class="jx-monex-service-content"> 
                        
                        <div class="jx-monex-title-1 jx-dark">
                            <h2><?php the_title(); ?></h2>
                        </div>
						
                        <div class="jx-monex-career-info">
                        	<div class="department">
                            	<div class="icon"><i class="fa fa-anchor"></i></div>
                                <div class="info">
                                    <div class="heading"><?php esc_html_e('Department','monex'); ?></div>
                                    <div class="value"><?php echo get_post_meta( get_the_ID(), 'monex_careers_department', true ); ?></div>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                            <!--info-->
                            
                            <div class="department">
                            	<div class="icon"><i class="fa fa-map-marker"></i></div>
                                <div class="info">
                                    <div class="heading"><?php esc_html_e('Location','monex'); ?></div>
                                    <div class="value"><?php echo get_post_meta( get_the_ID(), 'monex_careers_location', true );?></div>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                            <!--info-->
                            
                            <div class="department">
                            	<div class="icon"><i class="fa fa-graduation-cap"></i></div>
                                <div class="info">
									<div class="heading"><?php esc_html_e('Education','monex'); ?></div>
                                    <div class="value"><?php echo get_post_meta( get_the_ID(), 'monex_careers_education', true ); ?></div>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                            <!--info-->                            
                            
                        </div>
                        
						<?php while ( have_posts() ) : the_post(); ?>
                            <?php the_content(); ?>
                        <?php endwhile; // End of the loop. ?>
                        </div>
                        <!-- EDF PAGE CONTENT -->  
                        <!--spacer start-->
						<div class="space50"></div>
						<!--spacer end-->
                        <div class="jx-monex-apply-today"><a href="#"><?php esc_html_e('Apply Today','monex'); ?></a></div>
                        <!--spacer start-->
						<div class="space50"></div>
						<!--spacer end-->                  
                    </div>         
                    <!-- EDF Main Content -->                    
                                   
                </div>   
                <!-- EDF Side Bar Content -->                
            </div>
        </div>
        <!-- EOF Service Details-->

    </div>
    <!-- EOF Main Content -->
<?php get_footer(); ?>
