<?php
//Template Name: About

get_header(); 
$image_size='monex_service';
$sidebar_display='';
$sidebar_width='';
?>		
	
    <?php
	$content_class = '';
	$sidebar_class = '';
	$sidebar_display='';
	$sidebar_width='';
	$content_width ='';
	
	if(get_post_meta(get_the_ID(), 'monex_sidebar', true) == 'no-sidebar') {
		$content_class = 'has-no-sidebar';
		$sidebar_class = 'no-sidebar';
		$content_width ='';
		$cols_width='col-sm-8 col-md-12';
		$sidebar_display='display:none';
	} elseif (get_post_meta(get_the_ID(),  'monex_sidebar', true) == 'right-sidebar') {
		$content_class = 'content-left left';
		$sidebar_class = 'sidebar-right right';
		$content_width ='with-sidebar';
		$cols_width='col-sm-8 col-md-9';
		$sidebar_width='col-sm-4 col-md-3';
	} elseif (get_post_meta(get_the_ID(),  'monex_sidebar', true) == 'left-sidebar') {
		$content_class = 'content-right right';
		$sidebar_class = 'sidebar-left left';
		$content_width ='with-sidebar';
		$cols_width='col-sm-8 col-md-9';
		$sidebar_width='col-sm-4 col-md-3';
		
	} 
	?>
    
    <!-- BOF Main Content -->
    <div class="main no-top-padding">
    
   		<!-- Service Details -->
        <div class="middle_container">
            <div class="container <?php echo $content_width ?>">
    			<div class="row">
                    
                    <!-- sidebar start -->
                   <?php if ( is_active_sidebar( 'monex-sidebar-about' ) ) : ?>
                   <div id="sidebar-no" class="<?php echo $sidebar_width; ?> <?php echo $sidebar_class; ?>" style="<?php echo $sidebar_display; ?>">  
						<?php dynamic_sidebar( 'monex-sidebar-about' ); ?>
                    </div>
                    <?php endif; ?>
                    <!-- sidebar end -->
                    
                    <!-- content start -->
                    <div class="<?php echo $cols_width ?> <?php echo $content_class; ?>">                    
                        <!-- BDF PAGE CONTENT -->
                        <div class="jx-monex-service-content"> 
                        <?php while ( have_posts() ) : the_post(); ?>
                            <?php the_content(); ?>
                        <?php endwhile; // End of the loop. ?>
                        </div>
                        <!-- EDF PAGE CONTENT -->  
                        <!--spacer start-->
						<div class="space30"></div>
						<!--spacer end-->                  
                    </div>         
                    <!-- EDF Main Content -->                    
                                   
                </div>   
                <!-- EDF Side Bar Content -->                
            </div>
        </div>
        <!-- EOF Service Details-->
        <?php echo do_shortcode(get_post_meta(get_the_ID(),'monex_prefooter_text',true)); ?>
    </div>
    <!-- EOF Main Content -->
<?php get_footer(); ?>
