<?php
/*
Plugin Name: download Widget
Plugin URI: http://janxcode.com/
Description: janxcode download Widget 
Author: janXcode
Version: 1
Author URI: http://janxcode.com/
*/
class widget_monex_download extends WP_Widget
{
  function __construct()
  {
    $widget_ops = array('classname' => 'widget_monex_download', 'description' => 'download Info','category_id','show_date' );
    parent::__construct('widget_monex_download', esc_html__('monex Downloads','monex'), $widget_ops);
  }
 
 
 
 //Form
  function form($instance) {
	$instance = wp_parse_args( (array) $instance, array('title' => 'Download Brochures', 'name' => '', 'link' => '') );
 
	$title 			= esc_attr($instance['title']);
	$name 			= $instance['name'];
	$link 			= $instance['link'];
	
	?>
            	<p>
                <label for="<?php echo $this->get_field_id('title'); ?>">Title:</label>
                   <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
                </p>
     		
            	<p>
                    <label for="<?php echo $this->get_field_id('name'); ?>">Name:</label>
                    <input class="widefat" id="<?php echo $this->get_field_id('name'); ?>" name="<?php echo $this->get_field_name('name'); ?>" type="text" value="<?php echo $name; ?>" />    
                </p>
            
            	<p>
                    <label for="<?php echo $this->get_field_id('link'); ?>">link:</label>
                    <input class="widefat" id="<?php echo $this->get_field_id('link'); ?>" name="<?php echo $this->get_field_name('link'); ?>" type="text" value="<?php echo $link; ?>" />
                </p>
               
 
    <?php
    }
 
    function update($new_instance, $old_instance) {
	
	$instance	=	$old_instance;
	
	$instance['title']			=$new_instance['title'];
	$instance['link']			=$new_instance['link'];
	$instance['name']			=$new_instance['name'];
	return $instance;
    }
  
  
  //Output
 function widget($args, $instance)
  {
    extract($args);
 	
	
	
	
    echo $before_widget;
    $title 			= empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
	$name 		= $instance['name'];
	$link 			= $instance['link'];
	 
    if (!empty($title))
      echo $before_title . $title . $after_title;;
 
	echo'<div class="jx-monex-button">
			<div class="jx-monex-big-iconed-button"><a href="'.esc_url($link).'"><i class="fa fa-file-pdf-o"></i>'.$name.'</a></div>                
		</div>';	 
 
    echo $after_widget;
  }
  
 
}
// Add Widget
function widget_monex_download_init() {
	register_widget('widget_monex_download');
}
add_action('widgets_init', 'widget_monex_download_init');
?>
