<?php
/*
Plugin Name: support Widget
Plugin URI: http://janxcode.com/
Description: janxcode support Widget 
Author: janXcode
Version: 1
Author URI: http://janxcode.com/
*/
class widget_monex_support extends WP_Widget
{
  function __construct()
  {
    $widget_ops = array('classname' => 'widget_monex_support', 'description' => 'support Info','category_id','show_date' );
    parent::__construct('widget_monex_support', esc_html__('monex Support','monex'), $widget_ops);
  }
 
 
 
 //Form
  function form($instance) {
	$instance = wp_parse_args( (array) $instance, array('title' => 'Support', 'intro' => '','button_name' => '', 'link' => '') );
 
	$title 			= esc_attr($instance['title']);
	$intro			= $instance['intro'];
	$button_name 	= $instance['button_name'];
	$link 			= $instance['link'];
	
	?>
            	<p>
                <label for="<?php echo $this->get_field_id('title'); ?>">Title:</label>
                   <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
                </p>
     		
            	<p>
                    <label for="<?php echo $this->get_field_id('intro'); ?>">Intro Text:</label>
                    <input class="widefat" id="<?php echo $this->get_field_id('intro'); ?>" name="<?php echo $this->get_field_name('intro'); ?>" type="text" value="<?php echo $intro; ?>" />    
                </p>
                
                <p>
                    <label for="<?php echo $this->get_field_id('button_name'); ?>">Button Title:</label>
                    <input class="widefat" id="<?php echo $this->get_field_id('button_name'); ?>" name="<?php echo $this->get_field_name('button_name'); ?>" type="text" value="<?php echo $button_name; ?>" />    
                </p>
            
            	<p>
                    <label for="<?php echo $this->get_field_id('link'); ?>">link:</label>
                    <input class="widefat" id="<?php echo $this->get_field_id('link'); ?>" name="<?php echo $this->get_field_name('link'); ?>" type="text" value="<?php echo $link; ?>" />
                </p>
               
 
    <?php
    }
 
    function update($new_instance, $old_instance) {
	
	$instance	=	$old_instance;
	
	$instance['title']			=$new_instance['title'];
	$instance['link']			=$new_instance['link'];
	$instance['intro']     		=$new_instance['intro'];
	$instance['button_name']	=$new_instance['button_name'];
	return $instance;
    }
  
  
  //Output
 function widget($args, $instance)
  {
    extract($args);
 	
	
	
	
    echo $before_widget;
    $title 			= empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
	$intro	 		= $instance['intro'];
	$button_name 	= $instance['button_name'];
	$link 			= $instance['link'];

 

	echo '<div class="jx-monex-support_box">
        	<h3>'.$title.'</h3>
            <p>'.$intro.'</p>
            <a class="btn btn-default jx-monex-callNowBtn" href="'.esc_url($link).'" role="button">'.$button_name.'</a>
        </div>';
	echo '<div class="space30"></div>';
		
    echo $after_widget;
  }
  
 
}
// Add Widget
function widget_monex_support_init() {
	register_widget('widget_monex_support');
}
add_action('widgets_init', 'widget_monex_support_init');
?>
