<?php 
/**
 * ACF Fields
 */

if( function_exists('acf_add_local_field_group') ):

    acf_add_local_field_group(array(
        'key' => 'group_5db68439042e4',
        'title' => esc_html__('Feature Meta', 'tryo'),
        'fields' => array(
            array(
                'key' => 'field_5db68484b0838',
                'label' => esc_html__('Select Icon', 'tryo'),
                'name' => 'select_icon',
                'type' => 'select',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'choices' => array(
                    'flaticon-piggy-bank' => esc_html__('piggy-bank', 'tryo'),
                    'flaticon-data-encryption' => esc_html__('data-encryption', 'tryo'),
                    'flaticon-wallet' => esc_html__('wallet', 'tryo'),
                    'flaticon-shield' => esc_html__('shield', 'tryo'),
                    'flaticon-user' => esc_html__('user', 'tryo'),
                    'flaticon-check-mark' => esc_html__('check-mark', 'tryo'),
                    'flaticon-settings' => esc_html__('settings', 'tryo'),
                    'flaticon-envelope-of-white-paper' => esc_html__('envelope-of-white-paper', 'tryo'),
                    'flaticon-menu' => esc_html__('menu', 'tryo'),
                    'flaticon-info' => esc_html__('info', 'tryo'),
                    'flaticon-cursor' => esc_html__('cursor', 'tryo'),
                    'flaticon-alarm' => esc_html__('alarm', 'tryo'),
                    'flaticon-cancel' => esc_html__('cancel', 'tryo'),
                    'flaticon-apple' => esc_html__('apple', 'tryo'),
                    'flaticon-play-store' => esc_html__('play-store', 'tryo'),
                    'fa fa-500px' => esc_html__('fa fa-500px', 'tryo'),
                    'fa fa-adjust' => esc_html__('fa fa-adjust', 'tryo'),
                    'fa fa-adn' => esc_html__('fa fa-adn', 'tryo'),
                    'fa fa-align-center' => esc_html__('fa fa-align-center', 'tryo'),
                    'fa fa-align-justify' => esc_html__('fa fa-align-justify', 'tryo'),
                    'fa fa-align-left' => esc_html__('fa fa-align-left', 'tryo'),
                    'fa fa-align-right' => esc_html__('fa fa-align-right', 'tryo'),
                    'fa fa-amazon' => esc_html__('fa fa-amazon', 'tryo'),
                    'fa fa-ambulance' => esc_html__('fa fa-ambulance', 'tryo'),
                    'fa fa-american-sign-language-interpreting' => esc_html__('fa fa-american-sign-language-interpreting', 'tryo'),
                    'fa fa-anchor' => esc_html__('fa fa-anchor', 'tryo'),
                    'fa fa-android' => esc_html__('fa fa-android', 'tryo'),
                    'fa fa-angellist' => esc_html__('fa fa-angellist', 'tryo'),
                    'fa fa-angle-double-down' => esc_html__('fa fa-angle-double-down', 'tryo'),
                    'fa fa-angle-double-left' => esc_html__('fa fa-angle-double-left', 'tryo'),
                    'fa fa-angle-double-right' => esc_html__('fa fa-angle-double-right', 'tryo'),
                    'fa fa-angle-double-up' => esc_html__('fa fa-angle-double-up', 'tryo'),
                    'fa fa-angle-down' => esc_html__('fa fa-angle-down', 'tryo'),
                    'fa fa-angle-left' => esc_html__('fa fa-angle-left', 'tryo'),
                    'fa fa-angle-right' => esc_html__('fa fa-angle-right', 'tryo'),
                    'fa fa-angle-up' => esc_html__('fa fa-angle-up', 'tryo'),
                    'fa fa-apple' => esc_html__('fa fa-apple', 'tryo'),
                    'fa fa-archive' => esc_html__('fa fa-archive', 'tryo'),
                    'fa fa-area-chart' => esc_html__('fa fa-area-chart', 'tryo'),
                    'fa fa-arrow-circle-down' => esc_html__('fa fa-arrow-circle-down', 'tryo'),
                    'fa fa-arrow-circle-left' => esc_html__('fa fa-arrow-circle-left', 'tryo'),
                    'fa fa-arrow-circle-o-down' => esc_html__('fa fa-arrow-circle-o-down', 'tryo'),
                    'fa fa-arrow-circle-o-left' => esc_html__('fa fa-arrow-circle-o-left', 'tryo'),
                    'fa fa-arrow-circle-o-right' => esc_html__('fa fa-arrow-circle-o-right', 'tryo'),
                    'fa fa-arrow-circle-o-up' => esc_html__('fa fa-arrow-circle-o-up', 'tryo'),
                    'fa fa-arrow-circle-right' => esc_html__('fa fa-arrow-circle-right', 'tryo'),
                    'fa fa-arrow-circle-up' => esc_html__('fa fa-arrow-circle-up', 'tryo'),
                    'fa fa-arrow-down' => esc_html__('fa fa-arrow-down', 'tryo'),
                    'fa fa-arrow-left' => esc_html__('fa fa-arrow-left', 'tryo'),
                    'fa fa-arrow-right' => esc_html__('fa fa-arrow-right', 'tryo'),
                    'fa fa-arrow-up' => esc_html__('fa fa-arrow-up', 'tryo'),
                    'fa fa-arrows' => esc_html__('fa fa-arrows', 'tryo'),
                    'fa fa-arrows-alt' => esc_html__('fa fa-arrows-alt', 'tryo'),
                    'fa fa-arrows-h' => esc_html__('fa fa-arrows-h', 'tryo'),
                    'fa fa-arrows-v' => esc_html__('fa fa-arrows-v', 'tryo'),
                    'fa fa-assistive-listening-systems' => esc_html__('fa fa-assistive-listening-systems', 'tryo'),
                    'fa fa-asterisk' => esc_html__('fa fa-asterisk', 'tryo'),
                    'fa fa-at' => esc_html__('fa fa-at', 'tryo'),
                    'fa fa-audio-description' => esc_html__('fa fa-audio-description', 'tryo'),
                    'fa fa-backward' => esc_html__('fa fa-backward', 'tryo'),
                    'fa fa-balance-scale' => esc_html__('fa fa-balance-scale', 'tryo'),
                    'fa fa-ban' => esc_html__('fa fa-ban', 'tryo'),
                    'fa fa-bar-chart' => esc_html__('fa fa-bar-chart', 'tryo'),
                    'fa fa-barcode' => esc_html__('fa fa-barcode', 'tryo'),
                    'fa fa-bars' => esc_html__('fa fa-bars', 'tryo'),
                    'fa fa-battery-empty' => esc_html__('fa fa-battery-empty', 'tryo'),
                    'fa fa-battery-full' => esc_html__('fa fa-battery-full', 'tryo'),
                    'fa fa-battery-half' => esc_html__('fa fa-battery-half', 'tryo'),
                    'fa fa-battery-quarter' => esc_html__('fa fa-battery-quarter', 'tryo'),
                    'fa fa-battery-three-quarters' => esc_html__('fa fa-battery-three-quarters', 'tryo'),
                    'fa fa-bed' => esc_html__('fa fa-bed', 'tryo'),
                    'fa fa-beer' => esc_html__('fa fa-beer', 'tryo'),
                    'fa fa-behance' => esc_html__('fa fa-behance', 'tryo'),
                    'fa fa-behance-square' => esc_html__('fa fa-behance-square', 'tryo'),
                    'fa fa-bell' => esc_html__('fa fa-bell', 'tryo'),
                    'fa fa-bell-o' => esc_html__('fa fa-bell-o', 'tryo'),
                    'fa fa-bell-slash' => esc_html__('fa fa-bell-slash', 'tryo'),
                    'fa fa-bell-slash-o' => esc_html__('fa fa-bell-slash-o', 'tryo'),
                    'fa fa-bicycle' => esc_html__('fa fa-bicycle', 'tryo'),
                    'fa fa-binoculars' => esc_html__('fa fa-binoculars', 'tryo'),
                    'fa fa-birthday-cake' => esc_html__('fa fa-birthday-cake', 'tryo'),
                    'fa fa-bitbucket' => esc_html__('fa fa-bitbucket', 'tryo'),
                    'fa fa-bitbucket-square' => esc_html__('fa fa-bitbucket-square', 'tryo'),
                    'fa fa-black-tie' => esc_html__('fa fa-black-tie', 'tryo'),
                    'fa fa-blind' => esc_html__('fa fa-blind', 'tryo'),
                    'fa fa-bluetooth' => esc_html__('fa fa-bluetooth', 'tryo'),
                    'fa fa-bluetooth-b' => esc_html__('fa fa-bluetooth-b', 'tryo'),
                    'fa fa-bold' => esc_html__('fa fa-bold', 'tryo'),
                    'fa fa-bolt' => esc_html__('fa fa-bolt', 'tryo'),
                    'fa fa-bomb' => esc_html__('fa fa-bomb', 'tryo'),
                    'fa fa-book' => esc_html__('fa fa-book', 'tryo'),
                    'fa fa-bookmark' => esc_html__('fa fa-bookmark', 'tryo'),
                    'fa fa-bookmark-o' => esc_html__('fa fa-bookmark-o', 'tryo'),
                    'fa fa-braille' => esc_html__('fa fa-braille', 'tryo'),
                    'fa fa-briefcase' => esc_html__('fa fa-briefcase', 'tryo'),
                    'fa fa-btc' => esc_html__('fa fa-btc', 'tryo'),
                    'fa fa-bug' => esc_html__('fa fa-bug', 'tryo'),
                    'fa fa-building' => esc_html__('fa fa-building', 'tryo'),
                    'fa fa-building-o' => esc_html__('fa fa-building-o', 'tryo'),
                    'fa fa-bullhorn' => esc_html__('fa fa-bullhorn', 'tryo'),
                    'fa fa-bullseye' => esc_html__('fa fa-bullseye', 'tryo'),
                    'fa fa-bus' => esc_html__('fa fa-bus', 'tryo'),
                    'fa fa-buysellads' => esc_html__('fa fa-buysellads', 'tryo'),
                    'fa fa-calculator' => esc_html__('fa fa-calculator', 'tryo'),
                    'fa fa-calendar' => esc_html__('fa fa-calendar', 'tryo'),
                    'fa fa-calendar-check-o' => esc_html__('fa fa-calendar-check-o', 'tryo'),
                    'fa fa-calendar-minus-o' => esc_html__('fa fa-calendar-minus-o', 'tryo'),
                    'fa fa-calendar-o' => esc_html__('fa fa-calendar-o', 'tryo'),
                    'fa fa-calendar-plus-o' => esc_html__('fa fa-calendar-plus-o', 'tryo'),
                    'fa fa-calendar-times-o' => esc_html__('fa fa-calendar-times-o', 'tryo'),
                    'fa fa-camera' => esc_html__('fa fa-camera', 'tryo'),
                    'fa fa-camera-retro' => esc_html__('fa fa-camera-retro', 'tryo'),
                    'fa fa-car' => esc_html__('fa fa-car', 'tryo'),
                    'fa fa-caret-down' => esc_html__('fa fa-caret-down', 'tryo'),
                    'fa fa-caret-left' => esc_html__('fa fa-caret-left', 'tryo'),
                    'fa fa-caret-right' => esc_html__('fa fa-caret-right', 'tryo'),
                    'fa fa-caret-square-o-down' => esc_html__('fa fa-caret-square-o-down', 'tryo'),
                    'fa fa-caret-square-o-left' => esc_html__('fa fa-caret-square-o-left', 'tryo'),
                    'fa fa-caret-square-o-right' => esc_html__('fa fa-caret-square-o-right', 'tryo'),
                    'fa fa-caret-square-o-up' => esc_html__('fa fa-caret-square-o-up', 'tryo'),
                    'fa fa-caret-up' => esc_html__('fa fa-caret-up', 'tryo'),
                    'fa fa-cart-arrow-down' => esc_html__('fa fa-cart-arrow-down', 'tryo'),
                    'fa fa-cart-plus' => esc_html__('fa fa-cart-plus', 'tryo'),
                    'fa fa-cc' => esc_html__('fa fa-cc', 'tryo'),
                    'fa fa-cc-amex' => esc_html__('fa fa-cc-amex', 'tryo'),
                    'fa fa-cc-diners-club' => esc_html__('fa fa-cc-diners-club', 'tryo'),
                    'fa fa-cc-discover' => esc_html__('fa fa-cc-discover', 'tryo'),
                    'fa fa-cc-jcb' => esc_html__('fa fa-cc-jcb', 'tryo'),
                    'fa fa-cc-mastercard' => esc_html__('fa fa-cc-mastercard', 'tryo'),
                    'fa fa-cc-paypal' => esc_html__('fa fa-cc-paypal', 'tryo'),
                    'fa fa-cc-stripe' => esc_html__('fa fa-cc-stripe', 'tryo'),
                    'fa fa-cc-visa' => esc_html__('fa fa-cc-visa', 'tryo'),
                    'fa fa-certificate' => esc_html__('fa fa-certificate', 'tryo'),
                    'fa fa-chain-broken' => esc_html__('fa fa-chain-broken', 'tryo'),
                    'fa fa-check' => esc_html__('fa fa-check', 'tryo'),
                    'fa fa-check-circle' => esc_html__('fa fa-check-circle', 'tryo'),
                    'fa fa-check-circle-o' => esc_html__('fa fa-check-circle-o', 'tryo'),
                    'fa fa-check-square' => esc_html__('fa fa-check-square', 'tryo'),
                    'fa fa-check-square-o' => esc_html__('fa fa-check-square-o', 'tryo'),
                    'fa fa-chevron-circle-down' => esc_html__('fa fa-chevron-circle-down', 'tryo'),
                    'fa fa-chevron-circle-left' => esc_html__('fa fa-chevron-circle-left', 'tryo'),
                    'fa fa-chevron-circle-right' => esc_html__('fa fa-chevron-circle-right', 'tryo'),
                    'fa fa-chevron-circle-up' => esc_html__('fa fa-chevron-circle-up', 'tryo'),
                    'fa fa-chevron-down' => esc_html__('fa fa-chevron-down', 'tryo'),
                    'fa fa-chevron-left' => esc_html__('fa fa-chevron-left', 'tryo'),
                    'fa fa-chevron-right' => esc_html__('fa fa-chevron-right', 'tryo'),
                    'fa fa-chevron-up' => esc_html__('fa fa-chevron-up', 'tryo'),
                    'fa fa-child' => esc_html__('fa fa-child', 'tryo'),
                    'fa fa-chrome' => esc_html__('fa fa-chrome', 'tryo'),
                    'fa fa-circle' => esc_html__('fa fa-circle', 'tryo'),
                    'fa fa-circle-o' => esc_html__('fa fa-circle-o', 'tryo'),
                    'fa fa-circle-o-notch' => esc_html__('fa fa-circle-o-notch', 'tryo'),
                    'fa fa-circle-thin' => esc_html__('fa fa-circle-thin', 'tryo'),
                    'fa fa-clipboard' => esc_html__('fa fa-clipboard', 'tryo'),
                    'fa fa-clock-o' => esc_html__('fa fa-clock-o', 'tryo'),
                    'fa fa-clone' => esc_html__('fa fa-clone', 'tryo'),
                    'fa fa-cloud' => esc_html__('fa fa-cloud', 'tryo'),
                    'fa fa-cloud-download' => esc_html__('fa fa-cloud-download', 'tryo'),
                    'fa fa-cloud-upload' => esc_html__('fa fa-cloud-upload', 'tryo'),
                    'fa fa-code' => esc_html__('fa fa-code', 'tryo'),
                    'fa fa-code-fork' => esc_html__('fa fa-code-fork', 'tryo'),
                    'fa fa-codepen' => esc_html__('fa fa-codepen', 'tryo'),
                    'fa fa-codiepie' => esc_html__('fa fa-codiepie', 'tryo'),
                    'fa fa-coffee' => esc_html__('fa fa-coffee', 'tryo'),
                    'fa fa-cog' => esc_html__('fa fa-cog', 'tryo'),
                    'fa fa-cogs' => esc_html__('fa fa-cogs', 'tryo'),
                    'fa fa-columns' => esc_html__('fa fa-columns', 'tryo'),
                    'fa fa-comment' => esc_html__('fa fa-comment', 'tryo'),
                    'fa fa-comment-o' => esc_html__('fa fa-comment-o', 'tryo'),
                    'fa fa-commenting' => esc_html__('fa fa-commenting', 'tryo'),
                    'fa fa-commenting-o' => esc_html__('fa fa-commenting-o', 'tryo'),
                    'fa fa-comments' => esc_html__('fa fa-comments', 'tryo'),
                    'fa fa-comments-o' => esc_html__('fa fa-comments-o', 'tryo'),
                    'fa fa-compass' => esc_html__('fa fa-compass', 'tryo'),
                    'fa fa-compress' => esc_html__('fa fa-compress', 'tryo'),
                    'fa fa-connectdevelop' => esc_html__('fa fa-connectdevelop', 'tryo'),
                    'fa fa-contao' => esc_html__('fa fa-contao', 'tryo'),
                    'fa fa-copyright' => esc_html__('fa fa-copyright', 'tryo'),
                    'fa fa-creative-commons' => esc_html__('fa fa-creative-commons', 'tryo'),
                    'fa fa-credit-card' => esc_html__('fa fa-credit-card', 'tryo'),
                    'fa fa-credit-card-alt' => esc_html__('fa fa-credit-card-alt', 'tryo'),
                    'fa fa-crop' => esc_html__('fa fa-crop', 'tryo'),
                    'fa fa-crosshairs' => esc_html__('fa fa-crosshairs', 'tryo'),
                    'fa fa-css3' => esc_html__('fa fa-css3', 'tryo'),
                    'fa fa-cube' => esc_html__('fa fa-cube', 'tryo'),
                    'fa fa-cubes' => esc_html__('fa fa-cubes', 'tryo'),
                    'fa fa-cutlery' => esc_html__('fa fa-cutlery', 'tryo'),
                    'fa fa-dashcube' => esc_html__('fa fa-dashcube', 'tryo'),
                    'fa fa-database' => esc_html__('fa fa-database', 'tryo'),
                    'fa fa-deaf' => esc_html__('fa fa-deaf', 'tryo'),
                    'fa fa-delicious' => esc_html__('fa fa-delicious', 'tryo'),
                    'fa fa-desktop' => esc_html__('fa fa-desktop', 'tryo'),
                    'fa fa-deviantart' => esc_html__('fa fa-deviantart', 'tryo'),
                    'fa fa-diamond' => esc_html__('fa fa-diamond', 'tryo'),
                    'fa fa-digg' => esc_html__('fa fa-digg', 'tryo'),
                    'fa fa-dot-circle-o' => esc_html__('fa fa-dot-circle-o', 'tryo'),
                    'fa fa-download' => esc_html__('fa fa-download', 'tryo'),
                    'fa fa-dribbble' => esc_html__('fa fa-dribbble', 'tryo'),
                    'fa fa-dropbox' => esc_html__('fa fa-dropbox', 'tryo'),
                    'fa fa-drupal' => esc_html__('fa fa-drupal', 'tryo'),
                    'fa fa-edge' => esc_html__('fa fa-edge', 'tryo'),
                    'fa fa-eject' => esc_html__('fa fa-eject', 'tryo'),
                    'fa fa-ellipsis-h' => esc_html__('fa fa-ellipsis-h', 'tryo'),
                    'fa fa-ellipsis-v' => esc_html__('fa fa-ellipsis-v', 'tryo'),
                    'fa fa-empire' => esc_html__('fa fa-empire', 'tryo'),
                    'fa fa-envelope' => esc_html__('fa fa-envelope', 'tryo'),
                    'fa fa-envelope-o' => esc_html__('fa fa-envelope-o', 'tryo'),
                    'fa fa-envelope-square' => esc_html__('fa fa-envelope-square', 'tryo'),
                    'fa fa-envira' => esc_html__('fa fa-envira', 'tryo'),
                    'fa fa-eraser' => esc_html__('fa fa-eraser', 'tryo'),
                    'fa fa-eur' => esc_html__('fa fa-eur', 'tryo'),
                    'fa fa-exchange' => esc_html__('fa fa-exchange', 'tryo'),
                    'fa fa-exclamation' => esc_html__('fa fa-exclamation', 'tryo'),
                    'fa fa-exclamation-circle' => esc_html__('fa fa-exclamation-circle', 'tryo'),
                    'fa fa-exclamation-triangle' => esc_html__('fa fa-exclamation-triangle', 'tryo'),
                    'fa fa-expand' => esc_html__('fa fa-expand', 'tryo'),
                    'fa fa-expeditedssl' => esc_html__('fa fa-expeditedssl', 'tryo'),
                    'fa fa-external-link' => esc_html__('fa fa-external-link', 'tryo'),
                    'fa fa-external-link-square' => esc_html__('fa fa-external-link-square', 'tryo'),
                    'fa fa-eye' => esc_html__('fa fa-eye', 'tryo'),
                    'fa fa-eye-slash' => esc_html__('fa fa-eye-slash', 'tryo'),
                    'fa fa-eyedropper' => esc_html__('fa fa-eyedropper', 'tryo'),
                    'fa fa-facebook' => esc_html__('fa fa-facebook', 'tryo'),
                    'fa fa-facebook-official' => esc_html__('fa fa-facebook-official', 'tryo'),
                    'fa fa-facebook-square' => esc_html__('fa fa-facebook-square', 'tryo'),
                    'fa fa-fast-backward' => esc_html__('fa fa-fast-backward', 'tryo'),
                    'fa fa-fast-forward' => esc_html__('fa fa-fast-forward', 'tryo'),
                    'fa fa-fax' => esc_html__('fa fa-fax', 'tryo'),
                    'fa fa-female' => esc_html__('fa fa-female', 'tryo'),
                    'fa fa-fighter-jet' => esc_html__('fa fa-fighter-jet', 'tryo'),
                    'fa fa-file' => esc_html__('fa fa-file', 'tryo'),
                    'fa fa-file-archive-o' => esc_html__('fa fa-file-archive-o', 'tryo'),
                    'fa fa-file-audio-o' => esc_html__('fa fa-file-audio-o', 'tryo'),
                    'fa fa-file-code-o' => esc_html__('fa fa-file-code-o', 'tryo'),
                    'fa fa-file-excel-o' => esc_html__('fa fa-file-excel-o', 'tryo'),
                    'fa fa-file-image-o' => esc_html__('fa fa-file-image-o', 'tryo'),
                    'fa fa-file-o' => esc_html__('fa fa-file-o', 'tryo'),
                    'fa fa-file-pdf-o' => esc_html__('fa fa-file-pdf-o', 'tryo'),
                    'fa fa-file-powerpoint-o' => esc_html__('fa fa-file-powerpoint-o', 'tryo'),
                    'fa fa-file-text' => esc_html__('fa fa-file-text', 'tryo'),
                    'fa fa-file-text-o' => esc_html__('fa fa-file-text-o', 'tryo'),
                    'fa fa-file-video-o' => esc_html__('fa fa-file-video-o', 'tryo'),
                    'fa fa-file-word-o' => esc_html__('fa fa-file-word-o', 'tryo'),
                    'fa fa-files-o' => esc_html__('fa fa-files-o', 'tryo'),
                    'fa fa-film' => esc_html__('fa fa-film', 'tryo'),
                    'fa fa-filter' => esc_html__('fa fa-filter', 'tryo'),
                    'fa fa-fire' => esc_html__('fa fa-fire', 'tryo'),
                    'fa fa-fire-extinguisher' => esc_html__('fa fa-fire-extinguisher', 'tryo'),
                    'fa fa-firefox' => esc_html__('fa fa-firefox', 'tryo'),
                    'fa fa-first-order' => esc_html__('fa fa-first-order', 'tryo'),
                    'fa fa-flag' => esc_html__('fa fa-flag', 'tryo'),
                    'fa fa-flag-checkered' => esc_html__('fa fa-flag-checkered', 'tryo'),
                    'fa fa-flag-o' => esc_html__('fa fa-flag-o', 'tryo'),
                    'fa fa-flask' => esc_html__('fa fa-flask', 'tryo'),
                    'fa fa-flickr' => esc_html__('fa fa-flickr', 'tryo'),
                    'fa fa-floppy-o' => esc_html__('fa fa-floppy-o', 'tryo'),
                    'fa fa-folder' => esc_html__('fa fa-folder', 'tryo'),
                    'fa fa-folder-o' => esc_html__('fa fa-folder-o', 'tryo'),
                    'fa fa-folder-open' => esc_html__('fa fa-folder-open', 'tryo'),
                    'fa fa-folder-open-o' => esc_html__('fa fa-folder-open-o', 'tryo'),
                    'fa fa-font' => esc_html__('fa fa-font', 'tryo'),
                    'fa fa-font-awesome' => esc_html__('fa fa-font-awesome', 'tryo'),
                    'fa fa-fonticons' => esc_html__('fa fa-fonticons', 'tryo'),
                    'fa fa-fort-awesome' => esc_html__('fa fa-fort-awesome', 'tryo'),
                    'fa fa-forumbee' => esc_html__('fa fa-forumbee', 'tryo'),
                    'fa fa-forward' => esc_html__('fa fa-forward', 'tryo'),
                    'fa fa-foursquare' => esc_html__('fa fa-foursquare', 'tryo'),
                    'fa fa-frown-o' => esc_html__('fa fa-frown-o', 'tryo'),
                    'fa fa-futbol-o' => esc_html__('fa fa-futbol-o', 'tryo'),
                    'fa fa-gamepad' => esc_html__('fa fa-gamepad', 'tryo'),
                    'fa fa-gavel' => esc_html__('fa fa-gavel', 'tryo'),
                    'fa fa-gbp' => esc_html__('fa fa-gbp', 'tryo'),
                    'fa fa-genderless' => esc_html__('fa fa-genderless', 'tryo'),
                    'fa fa-get-pocket' => esc_html__('fa fa-get-pocket', 'tryo'),
                    'fa fa-gg' => esc_html__('fa fa-gg', 'tryo'),
                    'fa fa-gg-circle' => esc_html__('fa fa-gg-circle', 'tryo'),
                    'fa fa-gift' => esc_html__('fa fa-gift', 'tryo'),
                    'fa fa-git' => esc_html__('fa fa-git', 'tryo'),
                    'fa fa-git-square' => esc_html__('fa fa-git-square', 'tryo'),
                    'fa fa-github' => esc_html__('fa fa-github', 'tryo'),
                    'fa fa-github-alt' => esc_html__('fa fa-github-alt', 'tryo'),
                    'fa fa-github-square' => esc_html__('fa fa-github-square', 'tryo'),
                    'fa fa-gitlab' => esc_html__('fa fa-gitlab', 'tryo'),
                    'fa fa-glass' => esc_html__('fa fa-glass', 'tryo'),
                    'fa fa-glide' => esc_html__('fa fa-glide', 'tryo'),
                    'fa fa-glide-g' => esc_html__('fa fa-glide-g', 'tryo'),
                    'fa fa-globe' => esc_html__('fa fa-globe', 'tryo'),
                    'fa fa-google' => esc_html__('fa fa-google', 'tryo'),
                    'fa fa-google-plus' => esc_html__('fa fa-google-plus', 'tryo'),
                    'fa fa-google-plus-official' => esc_html__('fa fa-google-plus-official', 'tryo'),
                    'fa fa-google-plus-square' => esc_html__('fa fa-google-plus-square', 'tryo'),
                    'fa fa-google-wallet' => esc_html__('fa fa-google-wallet', 'tryo'),
                    'fa fa-graduation-cap' => esc_html__('fa fa-graduation-cap', 'tryo'),
                    'fa fa-gratipay' => esc_html__('fa fa-gratipay', 'tryo'),
                    'fa fa-h-square' => esc_html__('fa fa-h-square', 'tryo'),
                    'fa fa-hacker-news' => esc_html__('fa fa-hacker-news', 'tryo'),
                    'fa fa-hand-lizard-o' => esc_html__('fa fa-hand-lizard-o', 'tryo'),
                    'fa fa-hand-o-down' => esc_html__('fa fa-hand-o-down', 'tryo'),
                    'fa fa-hand-o-left' => esc_html__('fa fa-hand-o-left', 'tryo'),
                    'fa fa-hand-o-right' => esc_html__('fa fa-hand-o-right', 'tryo'),
                    'fa fa-hand-o-up' => esc_html__('fa fa-hand-o-up', 'tryo'),
                    'fa fa-hand-paper-o' => esc_html__('fa fa-hand-paper-o', 'tryo'),
                    'fa fa-hand-peace-o' => esc_html__('fa fa-hand-peace-o', 'tryo'),
                    'fa fa-hand-pointer-o' => esc_html__('fa fa-hand-pointer-o', 'tryo'),
                    'fa fa-hand-rock-o' => esc_html__('fa fa-hand-rock-o', 'tryo'),
                    'fa fa-hand-scissors-o' => esc_html__('fa fa-hand-scissors-o', 'tryo'),
                    'fa fa-hand-spock-o' => esc_html__('fa fa-hand-spock-o', 'tryo'),
                    'fa fa-hashtag' => esc_html__('fa fa-hashtag', 'tryo'),
                    'fa fa-hdd-o' => esc_html__('fa fa-hdd-o', 'tryo'),
                    'fa fa-header' => esc_html__('fa fa-header', 'tryo'),
                    'fa fa-headphones' => esc_html__('fa fa-headphones', 'tryo'),
                    'fa fa-heart' => esc_html__('fa fa-heart', 'tryo'),
                    'fa fa-heart-o' => esc_html__('fa fa-heart-o', 'tryo'),
                    'fa fa-heartbeat' => esc_html__('fa fa-heartbeat', 'tryo'),
                    'fa fa-history' => esc_html__('fa fa-history', 'tryo'),
                    'fa fa-home' => esc_html__('fa fa-home', 'tryo'),
                    'fa fa-hospital-o' => esc_html__('fa fa-hospital-o', 'tryo'),
                    'fa fa-hourglass' => esc_html__('fa fa-hourglass', 'tryo'),
                    'fa fa-hourglass-end' => esc_html__('fa fa-hourglass-end', 'tryo'),
                    'fa fa-hourglass-half' => esc_html__('fa fa-hourglass-half', 'tryo'),
                    'fa fa-hourglass-o' => esc_html__('fa fa-hourglass-o', 'tryo'),
                    'fa fa-hourglass-start' => esc_html__('fa fa-hourglass-start', 'tryo'),
                    'fa fa-houzz' => esc_html__('fa fa-houzz', 'tryo'),
                    'fa fa-html5' => esc_html__('fa fa-html5', 'tryo'),
                    'fa fa-i-cursor' => esc_html__('fa fa-i-cursor', 'tryo'),
                    'fa fa-ils' => esc_html__('fa fa-ils', 'tryo'),
                    'fa fa-inbox' => esc_html__('fa fa-inbox', 'tryo'),
                    'fa fa-indent' => esc_html__('fa fa-indent', 'tryo'),
                    'fa fa-industry' => esc_html__('fa fa-industry', 'tryo'),
                    'fa fa-info' => esc_html__('fa fa-info', 'tryo'),
                    'fa fa-info-circle' => esc_html__('fa fa-info-circle', 'tryo'),
                    'fa fa-inr' => esc_html__('fa fa-inr', 'tryo'),
                    'fa fa-instagram' => esc_html__('fa fa-instagram', 'tryo'),
                    'fa fa-internet-explorer' => esc_html__('fa fa-internet-explorer', 'tryo'),
                    'fa fa-ioxhost' => esc_html__('fa fa-ioxhost', 'tryo'),
                    'fa fa-italic' => esc_html__('fa fa-italic', 'tryo'),
                    'fa fa-joomla' => esc_html__('fa fa-joomla', 'tryo'),
                    'fa fa-jpy' => esc_html__('fa fa-jpy', 'tryo'),
                    'fa fa-jsfiddle' => esc_html__('fa fa-jsfiddle', 'tryo'),
                    'fa fa-key' => esc_html__('fa fa-key', 'tryo'),
                    'fa fa-keyboard-o' => esc_html__('fa fa-keyboard-o', 'tryo'),
                    'fa fa-krw' => esc_html__('fa fa-krw', 'tryo'),
                    'fa fa-language' => esc_html__('fa fa-language', 'tryo'),
                    'fa fa-laptop' => esc_html__('fa fa-laptop', 'tryo'),
                    'fa fa-lastfm' => esc_html__('fa fa-lastfm', 'tryo'),
                    'fa fa-lastfm-square' => esc_html__('fa fa-lastfm-square', 'tryo'),
                    'fa fa-leaf' => esc_html__('fa fa-leaf', 'tryo'),
                    'fa fa-leanpub' => esc_html__('fa fa-leanpub', 'tryo'),
                    'fa fa-lemon-o' => esc_html__('fa fa-lemon-o', 'tryo'),
                    'fa fa-level-down' => esc_html__('fa fa-level-down', 'tryo'),
                    'fa fa-level-up' => esc_html__('fa fa-level-up', 'tryo'),
                    'fa fa-life-ring' => esc_html__('fa fa-life-ring', 'tryo'),
                    'fa fa-lightbulb-o' => esc_html__('fa fa-lightbulb-o', 'tryo'),
                    'fa fa-line-chart' => esc_html__('fa fa-line-chart', 'tryo'),
                    'fa fa-link' => esc_html__('fa fa-link', 'tryo'),
                    'fa fa-linkedin' => esc_html__('fa fa-linkedin', 'tryo'),
                    'fa fa-linkedin-square' => esc_html__('fa fa-linkedin-square', 'tryo'),
                    'fa fa-linux' => esc_html__('fa fa-linux', 'tryo'),
                    'fa fa-list' => esc_html__('fa fa-list', 'tryo'),
                    'fa fa-list-alt' => esc_html__('fa fa-list-alt', 'tryo'),
                    'fa fa-list-ol' => esc_html__('fa fa-list-ol', 'tryo'),
                    'fa fa-list-ul' => esc_html__('fa fa-list-ul', 'tryo'),
                    'fa fa-location-arrow' => esc_html__('fa fa-location-arrow', 'tryo'),
                    'fa fa-lock' => esc_html__('fa fa-lock', 'tryo'),
                    'fa fa-long-arrow-down' => esc_html__('fa fa-long-arrow-down', 'tryo'),
                    'fa fa-long-arrow-left' => esc_html__('fa fa-long-arrow-left', 'tryo'),
                    'fa fa-long-arrow-right' => esc_html__('fa fa-long-arrow-right', 'tryo'),
                    'fa fa-long-arrow-up' => esc_html__('fa fa-long-arrow-up', 'tryo'),
                    'fa fa-low-vision' => esc_html__('fa fa-low-vision', 'tryo'),
                    'fa fa-magic' => esc_html__('fa fa-magic', 'tryo'),
                    'fa fa-magnet' => esc_html__('fa fa-magnet', 'tryo'),
                    'fa fa-male' => esc_html__('fa fa-male', 'tryo'),
                    'fa fa-map' => esc_html__('fa fa-map', 'tryo'),
                    'fa fa-map-marker' => esc_html__('fa fa-map-marker', 'tryo'),
                    'fa fa-map-o' => esc_html__('fa fa-map-o', 'tryo'),
                    'fa fa-map-pin' => esc_html__('fa fa-map-pin', 'tryo'),
                    'fa fa-map-signs' => esc_html__('fa fa-map-signs', 'tryo'),
                    'fa fa-mars' => esc_html__('fa fa-mars', 'tryo'),
                    'fa fa-mars-double' => esc_html__('fa fa-mars-double', 'tryo'),
                    'fa fa-mars-stroke' => esc_html__('fa fa-mars-stroke', 'tryo'),
                    'fa fa-mars-stroke-h' => esc_html__('fa fa-mars-stroke-h', 'tryo'),
                    'fa fa-mars-stroke-v' => esc_html__('fa fa-mars-stroke-v', 'tryo'),
                    'fa fa-maxcdn' => esc_html__('fa fa-maxcdn', 'tryo'),
                    'fa fa-meanpath' => esc_html__('fa fa-meanpath', 'tryo'),
                    'fa fa-medium' => esc_html__('fa fa-medium', 'tryo'),
                    'fa fa-medkit' => esc_html__('fa fa-medkit', 'tryo'),
                    'fa fa-meh-o' => esc_html__('fa fa-meh-o', 'tryo'),
                    'fa fa-mercury' => esc_html__('fa fa-mercury', 'tryo'),
                    'fa fa-microphone' => esc_html__('fa fa-microphone', 'tryo'),
                    'fa fa-microphone-slash' => esc_html__('fa fa-microphone-slash', 'tryo'),
                    'fa fa-minus' => esc_html__('fa fa-minus', 'tryo'),
                    'fa fa-minus-circle' => esc_html__('fa fa-minus-circle', 'tryo'),
                    'fa fa-minus-square' => esc_html__('fa fa-minus-square', 'tryo'),
                    'fa fa-minus-square-o' => esc_html__('fa fa-minus-square-o', 'tryo'),
                    'fa fa-mixcloud' => esc_html__('fa fa-mixcloud', 'tryo'),
                    'fa fa-mobile' => esc_html__('fa fa-mobile', 'tryo'),
                    'fa fa-modx' => esc_html__('fa fa-modx', 'tryo'),
                    'fa fa-money' => esc_html__('fa fa-money', 'tryo'),
                    'fa fa-moon-o' => esc_html__('fa fa-moon-o', 'tryo'),
                    'fa fa-motorcycle' => esc_html__('fa fa-motorcycle', 'tryo'),
                    'fa fa-mouse-pointer' => esc_html__('fa fa-mouse-pointer', 'tryo'),
                    'fa fa-music' => esc_html__('fa fa-music', 'tryo'),
                    'fa fa-neuter' => esc_html__('fa fa-neuter', 'tryo'),
                    'fa fa-newspaper-o' => esc_html__('fa fa-newspaper-o', 'tryo'),
                    'fa fa-object-group' => esc_html__('fa fa-object-group', 'tryo'),
                    'fa fa-object-ungroup' => esc_html__('fa fa-object-ungroup', 'tryo'),
                    'fa fa-odnoklassniki' => esc_html__('fa fa-odnoklassniki', 'tryo'),
                    'fa fa-odnoklassniki-square' => esc_html__('fa fa-odnoklassniki-square', 'tryo'),
                    'fa fa-opencart' => esc_html__('fa fa-opencart', 'tryo'),
                    'fa fa-openid' => esc_html__('fa fa-openid', 'tryo'),
                    'fa fa-opera' => esc_html__('fa fa-opera', 'tryo'),
                    'fa fa-optin-monster' => esc_html__('fa fa-optin-monster', 'tryo'),
                    'fa fa-outdent' => esc_html__('fa fa-outdent', 'tryo'),
                    'fa fa-pagelines' => esc_html__('fa fa-pagelines', 'tryo'),
                    'fa fa-paint-brush' => esc_html__('fa fa-paint-brush', 'tryo'),
                    'fa fa-paper-plane' => esc_html__('fa fa-paper-plane', 'tryo'),
                    'fa fa-paper-plane-o' => esc_html__('fa fa-paper-plane-o', 'tryo'),
                    'fa fa-paperclip' => esc_html__('fa fa-paperclip', 'tryo'),
                    'fa fa-paragraph' => esc_html__('fa fa-paragraph', 'tryo'),
                    'fa fa-pause' => esc_html__('fa fa-pause', 'tryo'),
                    'fa fa-pause-circle' => esc_html__('fa fa-pause-circle', 'tryo'),
                    'fa fa-pause-circle-o' => esc_html__('fa fa-pause-circle-o', 'tryo'),
                    'fa fa-paw' => esc_html__('fa fa-paw', 'tryo'),
                    'fa fa-paypal' => esc_html__('fa fa-paypal', 'tryo'),
                    'fa fa-pencil' => esc_html__('fa fa-pencil', 'tryo'),
                    'fa fa-pencil-square' => esc_html__('fa fa-pencil-square', 'tryo'),
                    'fa fa-pencil-square-o' => esc_html__('fa fa-pencil-square-o', 'tryo'),
                    'fa fa-percent' => esc_html__('fa fa-percent', 'tryo'),
                    'fa fa-phone' => esc_html__('fa fa-phone', 'tryo'),
                    'fa fa-phone-square' => esc_html__('fa fa-phone-square', 'tryo'),
                    'fa fa-picture-o' => esc_html__('fa fa-picture-o', 'tryo'),
                    'fa fa-pie-chart' => esc_html__('fa fa-pie-chart', 'tryo'),
                    'fa fa-pied-piper' => esc_html__('fa fa-pied-piper', 'tryo'),
                    'fa fa-pied-piper-alt' => esc_html__('fa fa-pied-piper-alt', 'tryo'),
                    'fa fa-pied-piper-pp' => esc_html__('fa fa-pied-piper-pp', 'tryo'),
                    'fa fa-pinterest' => esc_html__('fa fa-pinterest', 'tryo'),
                    'fa fa-pinterest-p' => esc_html__('fa fa-pinterest-p', 'tryo'),
                    'fa fa-pinterest-square' => esc_html__('fa fa-pinterest-square', 'tryo'),
                    'fa fa-plane' => esc_html__('fa fa-plane', 'tryo'),
                    'fa fa-play' => esc_html__('fa fa-play', 'tryo'),
                    'fa fa-play-circle' => esc_html__('fa fa-play-circle', 'tryo'),
                    'fa fa-play-circle-o' => esc_html__('fa fa-play-circle-o', 'tryo'),
                    'fa fa-plug' => esc_html__('fa fa-plug', 'tryo'),
                    'fa fa-plus' => esc_html__('fa fa-plus', 'tryo'),
                    'fa fa-plus-circle' => esc_html__('fa fa-plus-circle', 'tryo'),
                    'fa fa-plus-square' => esc_html__('fa fa-plus-square', 'tryo'),
                    'fa fa-plus-square-o' => esc_html__('fa fa-plus-square-o', 'tryo'),
                    'fa fa-power-off' => esc_html__('fa fa-power-off', 'tryo'),
                    'fa fa-print' => esc_html__('fa fa-print', 'tryo'),
                    'fa fa-product-hunt' => esc_html__('fa fa-product-hunt', 'tryo'),
                    'fa fa-puzzle-piece' => esc_html__('fa fa-puzzle-piece', 'tryo'),
                    'fa fa-qq' => esc_html__('fa fa-qq', 'tryo'),
                    'fa fa-qrcode' => esc_html__('fa fa-qrcode', 'tryo'),
                    'fa fa-question' => esc_html__('fa fa-question', 'tryo'),
                    'fa fa-question-circle' => esc_html__('fa fa-question-circle', 'tryo'),
                    'fa fa-question-circle-o' => esc_html__('fa fa-question-circle-o', 'tryo'),
                    'fa fa-quote-left' => esc_html__('fa fa-quote-left', 'tryo'),
                    'fa fa-quote-right' => esc_html__('fa fa-quote-right', 'tryo'),
                    'fa fa-random' => esc_html__('fa fa-random', 'tryo'),
                    'fa fa-rebel' => esc_html__('fa fa-rebel', 'tryo'),
                    'fa fa-recycle' => esc_html__('fa fa-recycle', 'tryo'),
                    'fa fa-reddit' => esc_html__('fa fa-reddit', 'tryo'),
                    'fa fa-reddit-alien' => esc_html__('fa fa-reddit-alien', 'tryo'),
                    'fa fa-reddit-square' => esc_html__('fa fa-reddit-square', 'tryo'),
                    'fa fa-refresh' => esc_html__('fa fa-refresh', 'tryo'),
                    'fa fa-registered' => esc_html__('fa fa-registered', 'tryo'),
                    'fa fa-renren' => esc_html__('fa fa-renren', 'tryo'),
                    'fa fa-repeat' => esc_html__('fa fa-repeat', 'tryo'),
                    'fa fa-reply' => esc_html__('fa fa-reply', 'tryo'),
                    'fa fa-reply-all' => esc_html__('fa fa-reply-all', 'tryo'),
                    'fa fa-retweet' => esc_html__('fa fa-retweet', 'tryo'),
                    'fa fa-road' => esc_html__('fa fa-road', 'tryo'),
                    'fa fa-rocket' => esc_html__('fa fa-rocket', 'tryo'),
                    'fa fa-rss' => esc_html__('fa fa-rss', 'tryo'),
                    'fa fa-rss-square' => esc_html__('fa fa-rss-square', 'tryo'),
                    'fa fa-rub' => esc_html__('fa fa-rub', 'tryo'),
                    'fa fa-safari' => esc_html__('fa fa-safari', 'tryo'),
                    'fa fa-scissors' => esc_html__('fa fa-scissors', 'tryo'),
                    'fa fa-scribd' => esc_html__('fa fa-scribd', 'tryo'),
                    'fa fa-search' => esc_html__('fa fa-search', 'tryo'),
                    'fa fa-search-minus' => esc_html__('fa fa-search-minus', 'tryo'),
                    'fa fa-search-plus' => esc_html__('fa fa-search-plus', 'tryo'),
                    'fa fa-sellsy' => esc_html__('fa fa-sellsy', 'tryo'),
                    'fa fa-server' => esc_html__('fa fa-server', 'tryo'),
                    'fa fa-share' => esc_html__('fa fa-share', 'tryo'),
                    'fa fa-share-alt' => esc_html__('fa fa-share-alt', 'tryo'),
                    'fa fa-share-alt-square' => esc_html__('fa fa-share-alt-square', 'tryo'),
                    'fa fa-share-square' => esc_html__('fa fa-share-square', 'tryo'),
                    'fa fa-share-square-o' => esc_html__('fa fa-share-square-o', 'tryo'),
                    'fa fa-shield' => esc_html__('fa fa-shield', 'tryo'),
                    'fa fa-ship' => esc_html__('fa fa-ship', 'tryo'),
                    'fa fa-shirtsinbulk' => esc_html__('fa fa-shirtsinbulk', 'tryo'),
                    'fa fa-shopping-bag' => esc_html__('fa fa-shopping-bag', 'tryo'),
                    'fa fa-shopping-basket' => esc_html__('fa fa-shopping-basket', 'tryo'),
                    'fa fa-shopping-cart' => esc_html__('fa fa-shopping-cart', 'tryo'),
                    'fa fa-sign-in' => esc_html__('fa fa-sign-in', 'tryo'),
                    'fa fa-sign-language' => esc_html__('fa fa-sign-language', 'tryo'),
                    'fa fa-sign-out' => esc_html__('fa fa-sign-out', 'tryo'),
                    'fa fa-signal' => esc_html__('fa fa-signal', 'tryo'),
                    'fa fa-simplybuilt' => esc_html__('fa fa-simplybuilt', 'tryo'),
                    'fa fa-sitemap' => esc_html__('fa fa-sitemap', 'tryo'),
                    'fa fa-skyatlas' => esc_html__('fa fa-skyatlas', 'tryo'),
                    'fa fa-skype' => esc_html__('fa fa-skype', 'tryo'),
                    'fa fa-slack' => esc_html__('fa fa-slack', 'tryo'),
                    'fa fa-sliders' => esc_html__('fa fa-sliders', 'tryo'),
                    'fa fa-slideshare' => esc_html__('fa fa-slideshare', 'tryo'),
                    'fa fa-smile-o' => esc_html__('fa fa-smile-o', 'tryo'),
                    'fa fa-snapchat' => esc_html__('fa fa-snapchat', 'tryo'),
                    'fa fa-snapchat-ghost' => esc_html__('fa fa-snapchat-ghost', 'tryo'),
                    'fa fa-snapchat-square' => esc_html__('fa fa-snapchat-square', 'tryo'),
                    'fa fa-sort' => esc_html__('fa fa-sort', 'tryo'),
                    'fa fa-sort-alpha-asc' => esc_html__('fa fa-sort-alpha-asc', 'tryo'),
                    'fa fa-sort-alpha-desc' => esc_html__('fa fa-sort-alpha-desc', 'tryo'),
                    'fa fa-sort-amount-asc' => esc_html__('fa fa-sort-amount-asc', 'tryo'),
                    'fa fa-sort-amount-desc' => esc_html__('fa fa-sort-amount-desc', 'tryo'),
                    'fa fa-sort-asc' => esc_html__('fa fa-sort-asc', 'tryo'),
                    'fa fa-sort-desc' => esc_html__('fa fa-sort-desc', 'tryo'),
                    'fa fa-sort-numeric-asc' => esc_html__('fa fa-sort-numeric-asc', 'tryo'),
                    'fa fa-sort-numeric-desc' => esc_html__('fa fa-sort-numeric-desc', 'tryo'),
                    'fa fa-soundcloud' => esc_html__('fa fa-soundcloud', 'tryo'),
                    'fa fa-space-shuttle' => esc_html__('fa fa-space-shuttle', 'tryo'),
                    'fa fa-spinner' => esc_html__('fa fa-spinner', 'tryo'),
                    'fa fa-spoon' => esc_html__('fa fa-spoon', 'tryo'),
                    'fa fa-spotify' => esc_html__('fa fa-spotify', 'tryo'),
                    'fa fa-square' => esc_html__('fa fa-square', 'tryo'),
                    'fa fa-square-o' => esc_html__('fa fa-square-o', 'tryo'),
                    'fa fa-stack-exchange' => esc_html__('fa fa-stack-exchange', 'tryo'),
                    'fa fa-stack-overflow' => esc_html__('fa fa-stack-overflow', 'tryo'),
                    'fa fa-star' => esc_html__('fa fa-star', 'tryo'),
                    'fa fa-star-half' => esc_html__('fa fa-star-half', 'tryo'),
                    'fa fa-star-half-o' => esc_html__('fa fa-star-half-o', 'tryo'),
                    'fa fa-star-o' => esc_html__('fa fa-star-o', 'tryo'),
                    'fa fa-steam' => esc_html__('fa fa-steam', 'tryo'),
                    'fa fa-steam-square' => esc_html__('fa fa-steam-square', 'tryo'),
                    'fa fa-step-backward' => esc_html__('fa fa-step-backward', 'tryo'),
                    'fa fa-step-forward' => esc_html__('fa fa-step-forward', 'tryo'),
                    'fa fa-stethoscope' => esc_html__('fa fa-stethoscope', 'tryo'),
                    'fa fa-sticky-note' => esc_html__('fa fa-sticky-note', 'tryo'),
                    'fa fa-sticky-note-o' => esc_html__('fa fa-sticky-note-o', 'tryo'),
                    'fa fa-stop' => esc_html__('fa fa-stop', 'tryo'),
                    'fa fa-stop-circle' => esc_html__('fa fa-stop-circle', 'tryo'),
                    'fa fa-stop-circle-o' => esc_html__('fa fa-stop-circle-o', 'tryo'),
                    'fa fa-street-view' => esc_html__('fa fa-street-view', 'tryo'),
                    'fa fa-strikethrough' => esc_html__('fa fa-strikethrough', 'tryo'),
                    'fa fa-stumbleupon' => esc_html__('fa fa-stumbleupon', 'tryo'),
                    'fa fa-stumbleupon-circle' => esc_html__('fa fa-stumbleupon-circle', 'tryo'),
                    'fa fa-subscript' => esc_html__('fa fa-subscript', 'tryo'),
                    'fa fa-subway' => esc_html__('fa fa-subway', 'tryo'),
                    'fa fa-suitcase' => esc_html__('fa fa-suitcase', 'tryo'),
                    'fa fa-sun-o' => esc_html__('fa fa-sun-o', 'tryo'),
                    'fa fa-superscript' => esc_html__('fa fa-superscript', 'tryo'),
                    'fa fa-table' => esc_html__('fa fa-table', 'tryo'),
                    'fa fa-tablet' => esc_html__('fa fa-tablet', 'tryo'),
                    'fa fa-tachometer' => esc_html__('fa fa-tachometer', 'tryo'),
                    'fa fa-tag' => esc_html__('fa fa-tag', 'tryo'),
                    'fa fa-tags' => esc_html__('fa fa-tags', 'tryo'),
                    'fa fa-tasks' => esc_html__('fa fa-tasks', 'tryo'),
                    'fa fa-taxi' => esc_html__('fa fa-taxi', 'tryo'),
                    'fa fa-television' => esc_html__('fa fa-television', 'tryo'),
                    'fa fa-tencent-weibo' => esc_html__('fa fa-tencent-weibo', 'tryo'),
                    'fa fa-terminal' => esc_html__('fa fa-terminal', 'tryo'),
                    'fa fa-text-height' => esc_html__('fa fa-text-height', 'tryo'),
                    'fa fa-text-width' => esc_html__('fa fa-text-width', 'tryo'),
                    'fa fa-th' => esc_html__('fa fa-th', 'tryo'),
                    'fa fa-th-large' => esc_html__('fa fa-th-large', 'tryo'),
                    'fa fa-th-list' => esc_html__('fa fa-th-list', 'tryo'),
                    'fa fa-themeisle' => esc_html__('fa fa-themeisle', 'tryo'),
                    'fa fa-thumb-tack' => esc_html__('fa fa-thumb-tack', 'tryo'),
                    'fa fa-thumbs-down' => esc_html__('fa fa-thumbs-down', 'tryo'),
                    'fa fa-thumbs-o-down' => esc_html__('fa fa-thumbs-o-down', 'tryo'),
                    'fa fa-thumbs-o-up' => esc_html__('fa fa-thumbs-o-up', 'tryo'),
                    'fa fa-thumbs-up' => esc_html__('fa fa-thumbs-up', 'tryo'),
                    'fa fa-ticket' => esc_html__('fa fa-ticket', 'tryo'),
                    'fa fa-times' => esc_html__('fa fa-times', 'tryo'),
                    'fa fa-times-circle' => esc_html__('fa fa-times-circle', 'tryo'),
                    'fa fa-times-circle-o' => esc_html__('fa fa-times-circle-o', 'tryo'),
                    'fa fa-tint' => esc_html__('fa fa-tint', 'tryo'),
                    'fa fa-toggle-off' => esc_html__('fa fa-toggle-off', 'tryo'),
                    'fa fa-toggle-on' => esc_html__('fa fa-toggle-on', 'tryo'),
                    'fa fa-trademark' => esc_html__('fa fa-trademark', 'tryo'),
                    'fa fa-train' => esc_html__('fa fa-train', 'tryo'),
                    'fa fa-transgender' => esc_html__('fa fa-transgender', 'tryo'),
                    'fa fa-transgender-alt' => esc_html__('fa fa-transgender-alt', 'tryo'),
                    'fa fa-trash' => esc_html__('fa fa-trash', 'tryo'),
                    'fa fa-trash-o' => esc_html__('fa fa-trash-o', 'tryo'),
                    'fa fa-tree' => esc_html__('fa fa-tree', 'tryo'),
                    'fa fa-trello' => esc_html__('fa fa-trello', 'tryo'),
                    'fa fa-tripadvisor' => esc_html__('fa fa-tripadvisor', 'tryo'),
                    'fa fa-trophy' => esc_html__('fa fa-trophy', 'tryo'),
                    'fa fa-truck' => esc_html__('fa fa-truck', 'tryo'),
                    'fa fa-try' => esc_html__('fa fa-try', 'tryo'),
                    'fa fa-tty' => esc_html__('fa fa-tty', 'tryo'),
                    'fa fa-tumblr' => esc_html__('fa fa-tumblr', 'tryo'),
                    'fa fa-tumblr-square' => esc_html__('fa fa-tumblr-square', 'tryo'),
                    'fa fa-twitch' => esc_html__('fa fa-twitch', 'tryo'),
                    'fa fa-twitter' => esc_html__('fa fa-twitter', 'tryo'),
                    'fa fa-twitter-square' => esc_html__('fa fa-twitter-square', 'tryo'),
                    'fa fa-umbrella' => esc_html__('fa fa-umbrella', 'tryo'),
                    'fa fa-underline' => esc_html__('fa fa-underline', 'tryo'),
                    'fa fa-undo' => esc_html__('fa fa-undo', 'tryo'),
                    'fa fa-universal-access' => esc_html__('fa fa-universal-access', 'tryo'),
                    'fa fa-university' => esc_html__('fa fa-university', 'tryo'),
                    'fa fa-unlock' => esc_html__('fa fa-unlock', 'tryo'),
                    'fa fa-unlock-alt' => esc_html__('fa fa-unlock-alt', 'tryo'),
                    'fa fa-upload' => esc_html__('fa fa-upload', 'tryo'),
                    'fa fa-usb' => esc_html__('fa fa-usb', 'tryo'),
                    'fa fa-usd' => esc_html__('fa fa-usd', 'tryo'),
                    'fa fa-user' => esc_html__('fa fa-user', 'tryo'),
                    'fa fa-user-md' => esc_html__('fa fa-user-md', 'tryo'),
                    'fa fa-user-plus' => esc_html__('fa fa-user-plus', 'tryo'),
                    'fa fa-user-secret' => esc_html__('fa fa-user-secret', 'tryo'),
                    'fa fa-user-times' => esc_html__('fa fa-user-times', 'tryo'),
                    'fa fa-users' => esc_html__('fa fa-users', 'tryo'),
                    'fa fa-venus' => esc_html__('fa fa-venus', 'tryo'),
                    'fa fa-venus-double' => esc_html__('fa fa-venus-double', 'tryo'),
                    'fa fa-venus-mars' => esc_html__('fa fa-venus-mars', 'tryo'),
                    'fa fa-viacoin' => esc_html__('fa fa-viacoin', 'tryo'),
                    'fa fa-viadeo' => esc_html__('fa fa-viadeo', 'tryo'),
                    'fa fa-viadeo-square' => esc_html__('fa fa-viadeo-square', 'tryo'),
                    'fa fa-video-camera' => esc_html__('fa fa-video-camera', 'tryo'),
                    'fa fa-vimeo' => esc_html__('fa fa-vimeo', 'tryo'),
                    'fa fa-vimeo-square' => esc_html__('fa fa-vimeo-square', 'tryo'),
                    'fa fa-vine' => esc_html__('fa fa-vine', 'tryo'),
                    'fa fa-vk' => esc_html__('fa fa-vk', 'tryo'),
                    'fa fa-volume-control-phone' => esc_html__('fa fa-volume-control-phone', 'tryo'),
                    'fa fa-volume-down' => esc_html__('fa fa-volume-down', 'tryo'),
                    'fa fa-volume-off' => esc_html__('fa fa-volume-off', 'tryo'),
                    'fa fa-volume-up' => esc_html__('fa fa-volume-up', 'tryo'),
                    'fa fa-weibo' => esc_html__('fa fa-weibo', 'tryo'),
                    'fa fa-weixin' => esc_html__('fa fa-weixin', 'tryo'),
                    'fa fa-whatsapp' => esc_html__('fa fa-whatsapp', 'tryo'),
                    'fa fa-wheelchair' => esc_html__('fa fa-wheelchair', 'tryo'),
                    'fa fa-wheelchair-alt' => esc_html__('fa fa-wheelchair-alt', 'tryo'),
                    'fa fa-wifi' => esc_html__('fa fa-wifi', 'tryo'),
                    'fa fa-wikipedia-w' => esc_html__('fa fa-wikipedia-w', 'tryo'),
                    'fa fa-windows' => esc_html__('fa fa-windows', 'tryo'),
                    'fa fa-wordpress' => esc_html__('fa fa-wordpress', 'tryo'),
                    'fa fa-wpbeginner' => esc_html__('fa fa-wpbeginner', 'tryo'),
                    'fa fa-wpforms' => esc_html__('fa fa-wpforms', 'tryo'),
                    'fa fa-wrench' => esc_html__('fa fa-wrench', 'tryo'),
                    'fa fa-xing' => esc_html__('fa fa-xing', 'tryo'),
                    'fa fa-xing-square' => esc_html__('fa fa-xing-square', 'tryo'),
                    'fa fa-y-combinator' => esc_html__('fa fa-y-combinator', 'tryo'),
                    'fa fa-yahoo' => esc_html__('fa fa-yahoo', 'tryo'),
                    'fa fa-yelp' => esc_html__('fa fa-yelp', 'tryo'),
                    'fa fa-yoast' => esc_html__('fa fa-yoast', 'tryo'),
                    'fa fa-youtube' => esc_html__('fa fa-youtube', 'tryo'),
                    'fa fa-youtube-play' => esc_html__('fa fa-youtube-play', 'tryo'),
                    'fa fa-youtube-square' => esc_html__('fa fa-youtube-square', 'tryo'),
                ),
                'default_value' => array(
                ),
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_5db6868e019f4',
                'label' => esc_html__('Icon Color', 'tryo'),
                'name' => 'icon_color',
                'type' => 'color_picker',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'default_value' => '#fb7756',
            ),
            array(
                'key' => 'field_5db7c181849b3',
                'label' => esc_html__('Icon Background Color', 'tryo'),
                'name' => 'icon_background_color',
                'type' => 'color_picker',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'default_value' => '',
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'feature',
                ),
            ),
        ),
        'menu_order' => 0,
        'position' => 'normal',
        'style' => 'default',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => '',
        'active' => true,
        'description' => '',
    ));
    
    acf_add_local_field_group(array(
        'key' => 'group_5db57939f1728',
        'title' => esc_html__('Page Options', 'tryo'),
        'fields' => array(
            array(
                'key' => 'field_5db5794257831',
                'label' => esc_html__('Disable Page Banner', 'tryo'),
                'name' => 'enable_page_banner',
                'type' => 'true_false',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'message' => '',
                'default_value' => 0,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5db57a4157832',
                'label' => esc_html__('Page Banner Short Description', 'tryo'),
                'name' => 'banner_short_description',
                'type' => 'text',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_5db5794257831',
                            'operator' => '!=',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_5dbd4ddd0f77c',
                'label' => esc_html__('Navbar Style', 'tryo'),
                'name' => 'nevbar_style',
                'type' => 'select',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'choices' => array(
                    'style_one' => 'Style One',
                    'style_two' => 'Style Two',
                ),
                'default_value' => array(
                ),
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'page',
                ),
            ),
            array(
                array(
                    'param' => 'page',
                    'operator' => '==',
                    'value' => '435',
                ),
            ),
        ),
        'menu_order' => 0,
        'position' => 'side',
        'style' => 'default',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => '',
        'active' => true,
        'description' => '',
    ));

    acf_add_local_field_group(array(
        'key' => 'group_5e89b10a134f4',
        'title' => esc_html__('Single Product', 'tryo'),
        'fields' => array(
            array(
                'key' => 'field_5e89b11b50ccf',
                'label' => esc_html__('Banner Background Image', 'tryo'),
                'name' => 'product_banner_background_image',
                'type' => 'image',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'return_format' => 'url',
                'preview_size' => 'medium',
                'library' => 'all',
                'min_width' => '',
                'min_height' => '',
                'min_size' => '',
                'max_width' => '',
                'max_height' => '',
                'max_size' => '',
                'mime_types' => '',
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'product',
                ),
            ),
        ),
        'menu_order' => 0,
        'position' => 'side',
        'style' => 'default',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => '',
        'active' => true,
        'description' => '',
    ));

    acf_add_local_field_group(array(
        'key' => 'group_5ee06d3c580d8',
        'title' => esc_html__('Custom Posts Custom Link', 'tryo'),
        'fields' => array(
            array(
                'key' => 'field_5ee06e1c55813',
                'label' => esc_html__('Choose Link Type', 'tryo'),
                'name' => 'choose_link_type',
                'type' => 'select',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'choices' => array(
                    1 => 'Post Details Page',
                    2 => 'External Link',
                ),
                'default_value' => array(
                ),
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_5ee06ec78bf72',
                'label' => esc_html__('External Link', 'tryo'),
                'name' => 'external_link',
                'type' => 'text',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_5ee06e1c55813',
                            'operator' => '==',
                            'value' => '2',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'feature',
                ),
            ),
        ),
        'menu_order' => 0,
        'position' => 'normal',
        'style' => 'default',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => '',
        'active' => true,
        'description' => '',
    ));
    
endif;