<?php
/**
 * One Click Demo Import
 * @package WordPress
 * @subpackage Tryo
 * 
 */
if ( ! function_exists( 'tryo_import_files' ) ) {
    function tryo_import_files() {
        return array(
            array(
                'import_file_name'             => esc_html__('Tryo Demo Data', 'tryo'),
                'local_import_file'            => trailingslashit( get_template_directory() ) . '/lib/demo-data/tryo-demo.xml',
                'local_import_widget_file'     => trailingslashit( get_template_directory() ) . '/lib/demo-data/tryo-widgets.json',
                'local_import_customizer_file' => trailingslashit( get_template_directory() ) . '/lib/demo-data/tryo-export.dat',
                'local_import_redux'           => array(
                    array(
                        'file_path'   => trailingslashit( get_template_directory() ) . '/lib/demo-data/redux-options.json',
                        'option_name' => 'tryo_opt',
                    ),
                ),
                'import_notice'                => esc_html__( 'After import demo, just set static homepage from settings>reading and check widgets & menus.', 'tryo' ),
            ),
        );
    }
}

$pcs = trim( get_option( 'tryo_purchase_code_status' ) );
if ( $pcs == 'valid' ) :
    add_filter( 'pt-ocdi/import_files', 'tryo_import_files' );
endif;